import * as schemas from './schema';
import { IRequest } from './request';
export default class AccountSystemService {
    request: IRequest;
    constructor(request: IRequest);
    listACLs({filter, orderBy, pageToken, pageSize}: {
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceAccountV1ListACLsResponse>;
    createACL({body}: {
        body: schemas.IXrcApiCommerceAccountV1CreateACLRequest;
    }): Promise<schemas.IXrcApiCommerceAccountV1ACL>;
    getACL({id}: {
        id: string;
    }): Promise<schemas.IXrcApiCommerceAccountV1ACL>;
    updateACL({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceAccountV1UpdateACLRequest;
    }): Promise<schemas.IXrcApiCommerceAccountV1ACL>;
    deleteACL({id}: {
        id: string;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    listNamespacePlans({filter, orderBy, pageToken, pageSize}: {
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceAccountV1ListNamespacePlansResponse>;
    createNamespacePlan({body}: {
        body: schemas.IXrcApiCommerceAccountV1CreateNamespacePlanRequest;
    }): Promise<schemas.IXrcApiCommerceAccountV1NamespacePlan>;
    getNamespacePlan({id}: {
        id: string;
    }): Promise<schemas.IXrcApiCommerceAccountV1NamespacePlan>;
    updateNamespacePlan({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceAccountV1UpdateNamespacePlanRequest;
    }): Promise<schemas.IXrcApiCommerceAccountV1NamespacePlan>;
    deleteNamespacePlan({id}: {
        id: string;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    listNamespaces({namespace, filter, orderBy, pageToken, pageSize}: {
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceAccountV1ListNamespacesResponse>;
    createNamespace({body}: {
        body: schemas.IXrcApiCommerceAccountV1CreateNamespaceRequest;
    }): Promise<schemas.IXrcApiCommerceAccountV1Namespace>;
    getNamespace({namespace, id}: {
        namespace: string;
        id?: string;
    }): Promise<schemas.IXrcApiCommerceAccountV1Namespace>;
    updateNamespace({namespace, body}: {
        namespace: string;
        body: schemas.IXrcApiCommerceAccountV1UpdateNamespaceRequest;
    }): Promise<schemas.IXrcApiCommerceAccountV1Namespace>;
    deleteNamespace({namespace}: {
        namespace: string;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    listUsers({name, namespace, filter, orderBy, pageToken, pageSize}: {
        name?: string;
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceAccountV1ListUsersResponse>;
    createUser({body}: {
        body: schemas.IXrcApiCommerceAccountV1CreateUserRequest;
    }): Promise<schemas.IXrcApiCommerceAccountV1User>;
    getUser({namespace, name, id}: {
        namespace: string;
        name: string;
        id?: string;
    }): Promise<schemas.IXrcApiCommerceAccountV1User>;
    updateUser({namespace, name, body}: {
        namespace: string;
        name: string;
        body: schemas.IXrcApiCommerceAccountV1UpdateUserRequest;
    }): Promise<schemas.IXrcApiCommerceAccountV1User>;
    deleteUser({namespace, name}: {
        namespace: string;
        name: string;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    authUserWithBasicCredential({namespace, name, body}: {
        namespace: string;
        name: string;
        body: schemas.IXrcApiCommerceAccountV1AuthUserWithBasicCredentialRequest;
    }): Promise<schemas.IXrcApiCommerceAccountV1User>;
    generateRSAKey({namespace, name, body}: {
        namespace: string;
        name: string;
        body: schemas.IXrcApiCommerceAccountV1GenerateRSAKeyRequest;
    }): Promise<schemas.IXrcApiCommerceAccountV1GenerateRSAKeyResponse>;
    setUserBasicAuthenticationPassword({namespace, name, body}: {
        namespace: string;
        name: string;
        body: schemas.IXrcApiCommerceAccountV1SetUserBasicAuthenticationPasswordRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    authUserWithRefreshToken({body}: {
        body: schemas.IXrcApiCommerceAccountV1AuthUserWithRefreshTokenRequest;
    }): Promise<schemas.IXrcApiCommerceAccountV1User>;
}
