import * as schemas from './schema';
import { IRequest } from './request';
export default class CatalogSystemService {
    request: IRequest;
    constructor(request: IRequest);
    listBrands({namespace, filter, orderBy, pageToken, pageSize}: {
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceCatalogV1ListBrandsResponse>;
    createBrand({body}: {
        body: schemas.IXrcApiCommerceCatalogV1CreateBrandRequest;
    }): Promise<schemas.IXrcApiCommerceCatalogV1Brand>;
    getBrand({id, namespace}: {
        id: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceCatalogV1Brand>;
    updateBrand({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceCatalogV1UpdateBrandRequest;
    }): Promise<schemas.IXrcApiCommerceCatalogV1Brand>;
    deleteBrand({id}: {
        id: string;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    editBrandLicenseData({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceCatalogV1EditBrandLicenseDataRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    findCategories({code, languageCode}: {
        code?: string;
        languageCode?: string;
    }): Promise<schemas.IXrcApiCommerceCatalogV1FindCategoriesResponse>;
    listProductGroupIdentifiers({namespace, filter, orderBy, pageToken, pageSize}: {
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceCatalogV1ListProductGroupIdentifiersResponse>;
    createProductGroupIdentifier({body}: {
        body: schemas.IXrcApiCommerceCatalogV1CreateProductGroupIdentifierRequest;
    }): Promise<schemas.IXrcApiCommerceCatalogV1ProductGroupIdentifier>;
    getProductGroupIdentifier({id, namespace}: {
        id: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceCatalogV1ProductGroupIdentifier>;
    deleteProductGroupIdentifier({id}: {
        id: string;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    listProductGroups({namespace, filter, orderBy, pageToken, pageSize}: {
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceCatalogV1ListProductGroupsResponse>;
    getProductGroup({id, namespace}: {
        id: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceCatalogV1ProductGroup>;
    listProducts({namespace, filter, orderBy, pageToken, pageSize}: {
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceCatalogV1ListProductsResponse>;
    createProduct({body}: {
        body: schemas.IXrcApiCommerceCatalogV1CreateProductRequest;
    }): Promise<schemas.IXrcApiCommerceCatalogV1Product>;
    getProduct({id, namespace}: {
        id: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceCatalogV1Product>;
    updateProduct({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceCatalogV1UpdateProductRequest;
    }): Promise<schemas.IXrcApiCommerceCatalogV1Product>;
    deleteProduct({id}: {
        id: string;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    addStock({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceCatalogV1AddStockRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    editMerchantData({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceCatalogV1EditMerchantDataRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    editRetailData({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceCatalogV1EditRetailDataRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    editSupplyData({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceCatalogV1EditMerchantDataRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
}
