import * as schemas from './schema';
import { IRequest } from './request';
export default class FileSystemService {
    request: IRequest;
    constructor(request: IRequest);
    listNodes({name, namespace, filter, orderBy, pageToken, pageSize}: {
        name?: string;
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceFileV1ListNodesResponse>;
    createNode({body}: {
        body: schemas.IXrcApiCommerceFileV1CreateNodeRequest;
    }): Promise<schemas.IXrcApiCommerceFileV1Node>;
    getNode({id, name, namespace}: {
        id: string;
        name?: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceFileV1Node>;
    deleteNode({id}: {
        id: string;
    }): Promise<schemas.IGoogleProtobufEmpty>;
}
