import * as schemas from './schema';
import { IRequest } from './request';
export default class FinanceSystemService {
    request: IRequest;
    constructor(request: IRequest);
    listTransactions({name, namespace, filter, orderBy, pageToken, pageSize}: {
        name?: string;
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceFinanceV1ListTransactionsResponse>;
    createTransaction({body}: {
        body: schemas.IXrcApiCommerceFinanceV1CreateTransactionRequest;
    }): Promise<schemas.IXrcApiCommerceFinanceV1Transaction>;
    getTransaction({id, name, namespace}: {
        id: string;
        name?: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceFinanceV1Transaction>;
    updateTransaction({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceFinanceV1UpdateTransactionRequest;
    }): Promise<schemas.IXrcApiCommerceFinanceV1Transaction>;
}
