import * as schemas from './schema';
import { IRequest } from './request';
export default class MerchantSystemService {
    request: IRequest;
    constructor(request: IRequest);
    listMerchants({namespace, filter, orderBy, pageToken, pageSize}: {
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceMerchantV1ListMerchantsResponse>;
    createMerchant({body}: {
        body: schemas.IXrcApiCommerceMerchantV1CreateMerchantRequest;
    }): Promise<schemas.IXrcApiCommerceMerchantV1Merchant>;
    getMerchant({id, namespace}: {
        id: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceMerchantV1Merchant>;
    updateMerchant({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceMerchantV1UpdateMerchantRequest;
    }): Promise<schemas.IXrcApiCommerceMerchantV1Merchant>;
}
