import * as schemas from './schema';
import { IRequest } from './request';
export default class OrderSystemService {
    request: IRequest;
    constructor(request: IRequest);
    listModifyOrderTasks({filter, orderBy, pageToken, pageSize}: {
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceOrderV1ListModifyOrderTasksResponse>;
    createModifyOrderTask({body}: {
        body: schemas.IXrcApiCommerceOrderV1CreateModifyOrderTaskRequest;
    }): Promise<schemas.IXrcApiCommerceOrderV1ModifyOrderTask>;
    getModifyOrderTask({id}: {
        id: string;
    }): Promise<schemas.IXrcApiCommerceOrderV1ModifyOrderTask>;
    deleteModifyOrderTask({id}: {
        id: string;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    completeModifyOrderTask({body}: {
        body: schemas.IXrcApiCommerceOrderV1CompleteModifyOrderTaskRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    resetModifyOrderTask({body}: {
        body: schemas.IXrcApiCommerceOrderV1ResetModifyOrderTaskRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    listOrders({filter, orderBy, pageToken, pageSize}: {
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceOrderV1ListOrdersResponse>;
    createOrder({body}: {
        body: schemas.IXrcApiCommerceOrderV1CreateOrderRequest;
    }): Promise<schemas.IXrcApiCommerceOrderV1Order>;
    getOrder({id}: {
        id: string;
    }): Promise<schemas.IXrcApiCommerceOrderV1Order>;
    loadItems({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceOrderV1LoadItemsRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    modifyOrder({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceOrderV1ModifyOrderRequest;
    }): Promise<schemas.IXrcApiCommerceOrderV1Order>;
    saveItems({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceOrderV1LoadItemsRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
}
