import * as schemas from './schema';
import { IRequest } from './request';
export default class RetailSystemService {
    request: IRequest;
    constructor(request: IRequest);
    listOrders({name, namespace, filter, orderBy, pageToken, pageSize}: {
        name?: string;
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceRetailV1ListOrdersResponse>;
    createOrder({body}: {
        body: schemas.IXrcApiCommerceRetailV1CreateOrderRequest;
    }): Promise<schemas.IXrcApiCommerceRetailV1Order>;
    getOrder({id}: {
        id: string;
    }): Promise<schemas.IXrcApiCommerceRetailV1Order>;
    newAddItemsOrder({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1NewAddItemsOrderRequest;
    }): Promise<schemas.IXrcApiCommerceRetailV1AddItemsOrder>;
    cancelOrder({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1CancelOrderRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    cancelRefund({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1OrderCancelRefundRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    completeRefund({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1OrderCancelRefundRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    confirmOrder({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1CancelOrderRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    confirmRefund({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1OrderCancelRefundRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    issueRefund({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1OrderIssueRefundRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    newRefund({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1OrderNewRefundRequest;
    }): Promise<schemas.IXrcApiCommerceRetailV1Refund>;
    orderShipmentFailed({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1OrderShipmentFailedRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    orderShipmentReceived({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1OrderShipmentFailedRequest;
    }): Promise<schemas.IGoogleProtobufEmpty>;
    newOrder({body}: {
        body: schemas.IXrcApiCommerceRetailV1NewOrderRequest;
    }): Promise<schemas.IXrcApiCommerceOrderV1Order>;
    listProducts({namespace, filter, orderBy, pageToken, pageSize}: {
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceRetailV1ListProductsResponse>;
    getProduct({id, namespace}: {
        id: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceRetailV1Product>;
    updateProduct({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1UpdateProductRequest;
    }): Promise<schemas.IXrcApiCommerceRetailV1Product>;
    listRetailers({namespace, filter, orderBy, pageToken, pageSize}: {
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceRetailV1ListRetailersResponse>;
    createRetailer({body}: {
        body: schemas.IXrcApiCommerceRetailV1CreateRetailerRequest;
    }): Promise<schemas.IXrcApiCommerceRetailV1Retailer>;
    getRetailer({id, namespace}: {
        id: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceRetailV1Retailer>;
    updateRetailer({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceRetailV1UpdateRetailerRequest;
    }): Promise<schemas.IXrcApiCommerceRetailV1Retailer>;
}
