import * as schemas from './schema';
import { IRequest } from './request';
export default class SupplySystemService {
    request: IRequest;
    constructor(request: IRequest);
    listProducts({namespace, filter, orderBy, pageToken, pageSize}: {
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceSupplyV1ListProductsResponse>;
    getProduct({id, namespace}: {
        id: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceSupplyV1Product>;
    updateProduct({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceSupplyV1UpdateProductRequest;
    }): Promise<schemas.IXrcApiCommerceSupplyV1Product>;
    listSuppliers({namespace, filter, orderBy, pageToken, pageSize}: {
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceSupplyV1ListSuppliersResponse>;
    createSupplier({body}: {
        body: schemas.IXrcApiCommerceMerchantV1CreateMerchantRequest;
    }): Promise<schemas.IXrcApiCommerceMerchantV1Merchant>;
    getSupplier({id, namespace}: {
        id: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceMerchantV1Merchant>;
    updateSupplier({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceMerchantV1UpdateMerchantRequest;
    }): Promise<schemas.IXrcApiCommerceMerchantV1Merchant>;
}
