import * as schemas from './schema';
import { IRequest } from './request';
export default class WarehouseSystemService {
    request: IRequest;
    constructor(request: IRequest);
    listWarehouses({namespace, filter, orderBy, pageToken, pageSize}: {
        namespace?: string;
        filter?: string;
        orderBy?: string;
        pageToken?: string;
        pageSize?: number;
    }): Promise<schemas.IXrcApiCommerceWarehouseV1ListWarehousesResponse>;
    createWarehouse({body}: {
        body: schemas.IXrcApiCommerceWarehouseV1CreateWarehouseRequest;
    }): Promise<schemas.IXrcApiCommerceWarehouseV1Warehouse>;
    getWarehouse({id, namespace}: {
        id: string;
        namespace?: string;
    }): Promise<schemas.IXrcApiCommerceWarehouseV1Warehouse>;
    updateWarehouse({id, body}: {
        id: string;
        body: schemas.IXrcApiCommerceWarehouseV1UpdateWarehouseRequest;
    }): Promise<schemas.IXrcApiCommerceWarehouseV1Warehouse>;
}
