export interface IGoogleProtobufAny {
    typeUrl: string;
    value: string;
}
export interface IGoogleProtobufEmpty {
}
export interface IXrcApiCommerceAccountV1ACL {
    id: string;
    metadata: IXrcApiTypeMetadata;
    rdata: IGoogleProtobufEmpty;
    uri: string;
    wdata: IXrcApiCommerceAccountV1WriteManyACLData;
    wodata: IXrcApiCommerceAccountV1WriteOnceACLData;
}
export interface IXrcApiCommerceAccountV1AuthUserWithBasicCredentialRequest {
    name: string;
    namespace: string;
    password: string;
}
export interface IXrcApiCommerceAccountV1AuthUserWithRefreshTokenRequest {
    refreshToken: string;
}
export interface IXrcApiCommerceAccountV1CreateACLRequest {
    wdata: IXrcApiCommerceAccountV1WriteManyACLData;
    wodata: IXrcApiCommerceAccountV1WriteOnceACLData;
}
export interface IXrcApiCommerceAccountV1CreateNamespacePlanRequest {
    wdata: IXrcApiCommerceAccountV1WriteManyNamespacePlanData;
    wodata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceAccountV1CreateNamespaceRequest {
    namespace: string;
    wdata: IXrcApiCommerceAccountV1WriteManyNamespaceData;
    wodata: IXrcApiCommerceAccountV1WriteOnceNamespaceData;
}
export interface IXrcApiCommerceAccountV1CreateUserRequest {
    name: string;
    namespace: string;
    wdata: IXrcApiCommerceAccountV1WriteManyUserData;
    wodata: IXrcApiCommerceAccountV1WriteOnceUserData;
}
export interface IXrcApiCommerceAccountV1GenerateRSAKeyRequest {
    name: string;
    namespace: string;
}
export interface IXrcApiCommerceAccountV1GenerateRSAKeyResponse {
    pem: string;
}
export interface IXrcApiCommerceAccountV1ListACLsResponse {
    acls: IXrcApiCommerceAccountV1ACL[];
    nextPageToken: string;
    totalSize: number;
}
export interface IXrcApiCommerceAccountV1ListNamespacePlansResponse {
    namespacePlans: IXrcApiCommerceAccountV1NamespacePlan[];
    nextPageToken: string;
    totalSize: number;
}
export interface IXrcApiCommerceAccountV1ListNamespacesResponse {
    namespaces: IXrcApiCommerceAccountV1Namespace[];
    nextPageToken: string;
    totalSize: number;
}
export interface IXrcApiCommerceAccountV1ListUsersResponse {
    nextPageToken: string;
    totalSize: number;
    users: IXrcApiCommerceAccountV1User[];
}
export interface IXrcApiCommerceAccountV1Namespace {
    id: string;
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IGoogleProtobufEmpty;
    uri: string;
    wdata: IXrcApiCommerceAccountV1WriteManyNamespaceData;
    wodata: IXrcApiCommerceAccountV1WriteOnceNamespaceData;
}
export interface IXrcApiCommerceAccountV1NamespacePlan {
    id: string;
    metadata: IXrcApiTypeMetadata;
    rdata: IGoogleProtobufEmpty;
    uri: string;
    wdata: IXrcApiCommerceAccountV1WriteManyNamespacePlanData;
    wodata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceAccountV1ReadonlyUserData {
    publicKey: string;
    token: string;
}
export interface IXrcApiCommerceAccountV1Role {
    aclIds: string[];
    details: IXrcApiTypePolyglotBasicDetails;
    name: string;
}
export interface IXrcApiCommerceAccountV1SetUserBasicAuthenticationPasswordRequest {
    id: string;
    name: string;
    namespace: string;
    passwordInUse: string;
    passwordToSet: string;
}
export interface IXrcApiCommerceAccountV1UpdateACLRequest {
    id: string;
    wdata: IXrcApiCommerceAccountV1WriteManyACLData;
}
export interface IXrcApiCommerceAccountV1UpdateNamespacePlanRequest {
    id: string;
    wdata: IXrcApiCommerceAccountV1WriteManyNamespacePlanData;
}
export interface IXrcApiCommerceAccountV1UpdateNamespaceRequest {
    id: string;
    namespace: string;
    wdata: IXrcApiCommerceAccountV1WriteManyNamespaceData;
}
export interface IXrcApiCommerceAccountV1UpdateUserRequest {
    id: string;
    name: string;
    namespace: string;
    wdata: IXrcApiCommerceAccountV1WriteManyUserData;
}
export interface IXrcApiCommerceAccountV1User {
    id: string;
    metadata: IXrcApiTypeMetadata;
    name: string;
    namespace: string;
    rdata: IXrcApiCommerceAccountV1ReadonlyUserData;
    uri: string;
    wdata: IXrcApiCommerceAccountV1WriteManyUserData;
    wodata: IXrcApiCommerceAccountV1WriteOnceUserData;
}
export declare enum IXrcApiCommerceAccountV1UserType {
    USER_TYPE_UNSPECIFIED = "USER_TYPE_UNSPECIFIED",
    USER_TYPE_STAFF_USER = "USER_TYPE_STAFF_USER",
    USER_TYPE_SERVICE_USER = "USER_TYPE_SERVICE_USER",
}
export interface IXrcApiCommerceAccountV1WriteManyACLData {
    description: IXrcApiTypePolyglotBasicDetails;
}
export interface IXrcApiCommerceAccountV1WriteManyNamespaceData {
    description: IXrcApiTypeBasicDetails;
}
export interface IXrcApiCommerceAccountV1WriteManyNamespacePlanData {
    description: IXrcApiTypePolyglotBasicDetails;
    roles: IXrcApiCommerceAccountV1Role[];
}
export interface IXrcApiCommerceAccountV1WriteManyUserData {
    description: IXrcApiTypeBasicDetails;
    roleNames: string[];
}
export interface IXrcApiCommerceAccountV1WriteOnceACLData {
    privilegeDescriptor: string;
}
export interface IXrcApiCommerceAccountV1WriteOnceNamespaceData {
    namespacePlanId: string;
}
export interface IXrcApiCommerceAccountV1WriteOnceUserData {
    type: IXrcApiCommerceAccountV1UserType;
}
export interface IXrcApiCommerceCatalogV1AddStockData {
    quantity: number;
    status: IXrcApiCommerceCatalogV1StockStatus;
    warehouseId: string;
}
export interface IXrcApiCommerceCatalogV1AddStockRequest {
    addStockData: IXrcApiCommerceCatalogV1AddStockData[];
    id: string;
    idempotentToken: string;
    namespace: string;
    revert: boolean;
    supplyDataNamespace: string;
}
export interface IXrcApiCommerceCatalogV1Brand {
    id: string;
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IXrcApiCommerceCatalogV1ReadonlyBrandData;
    uri: string;
    wdata: IXrcApiCommerceCatalogV1WriteManyBrandData;
    wodata: IXrcApiCommerceCatalogV1WriteOnceBrandData;
}
export interface IXrcApiCommerceCatalogV1BrandLicenseData {
    changes: IXrcApiCommerceCatalogV1BrandLicenseStatusChange[];
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    status: IXrcApiCommerceCatalogV1BrandLicenseStatus;
}
export declare enum IXrcApiCommerceCatalogV1BrandLicenseStatus {
    BRAND_LICENSE_STATUS_UNSPECIFIED = "BRAND_LICENSE_STATUS_UNSPECIFIED",
    BRAND_LICENSE_STATUS_PREPARE_FOR_SUBMISSION = "BRAND_LICENSE_STATUS_PREPARE_FOR_SUBMISSION",
    BRAND_LICENSE_STATUS_WAITING_FOR_LICENSE = "BRAND_LICENSE_STATUS_WAITING_FOR_LICENSE",
    BRAND_LICENSE_STATUS_IN_LICENSE = "BRAND_LICENSE_STATUS_IN_LICENSE",
    BRAND_LICENSE_STATUS_LICENSED = "BRAND_LICENSE_STATUS_LICENSED",
    BRAND_LICENSE_STATUS_WAITING_FOR_RENEW = "BRAND_LICENSE_STATUS_WAITING_FOR_RENEW",
    BRAND_LICENSE_STATUS_IN_RENEW = "BRAND_LICENSE_STATUS_IN_RENEW",
    BRAND_LICENSE_STATUS_REJECTED = "BRAND_LICENSE_STATUS_REJECTED",
    BRAND_LICENSE_STATUS_USER_REJECTED = "BRAND_LICENSE_STATUS_USER_REJECTED",
    BRAND_LICENSE_STATUS_REVOKED = "BRAND_LICENSE_STATUS_REVOKED",
    BRAND_LICENSE_STATUS_EXPIRED = "BRAND_LICENSE_STATUS_EXPIRED",
}
export interface IXrcApiCommerceCatalogV1BrandLicenseStatusChange {
    message: string;
    newStatus: IXrcApiCommerceCatalogV1BrandLicenseStatus;
    oldStatus: IXrcApiCommerceCatalogV1BrandLicenseStatus;
    time: string;
}
export interface IXrcApiCommerceCatalogV1Category {
    code: string;
    hasChild: boolean;
    name: string;
}
export interface IXrcApiCommerceCatalogV1CreateBrandRequest {
    namespace: string;
    wdata: IXrcApiCommerceCatalogV1WriteManyBrandData;
    wodata: IXrcApiCommerceCatalogV1WriteOnceBrandData;
}
export interface IXrcApiCommerceCatalogV1CreateProductGroupIdentifierRequest {
    namespace: string;
    wdata: IGoogleProtobufEmpty;
    wodata: IXrcApiCommerceCatalogV1WriteOnceProductGroupIdentifierData;
}
export interface IXrcApiCommerceCatalogV1CreateProductRequest {
    namespace: string;
    wdata: IXrcApiCommerceCatalogV1WriteManyProductData;
    wodata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceCatalogV1DataAttributes {
    basic: IXrcApiCommerceTypeGoogleMerchantsProductDataAttributes;
    hasSerialNumber: boolean;
    map: IXrcApiTypeMoney;
    msrp: IXrcApiTypeMoney;
}
export interface IXrcApiCommerceCatalogV1Description {
    additionalImageLinks: string[];
    attachmentLink: string;
    basic: IXrcApiTypePolyglotBasicDetails;
    dataSpecs: IXrcApiTypePolyglotBasicDetails;
    imageLink: string;
    packingContents: IXrcApiTypePolyglotBasicDetails;
}
export interface IXrcApiCommerceCatalogV1EditBrandLicenseDataRequest {
    change: IXrcApiCommerceCatalogV1BrandLicenseStatusChange;
    id: string;
    licenseNamespace: string;
    namespace: string;
}
export interface IXrcApiCommerceCatalogV1EditMerchantDataRequest {
    data: IXrcApiCommerceCatalogV1WriteManySupplyData;
    dataNamespace: string;
    id: string;
    namespace: string;
}
export interface IXrcApiCommerceCatalogV1EditRetailDataRequest {
    data: IXrcApiCommerceCatalogV1WriteManyRetailData;
    dataNamespace: string;
    id: string;
    namespace: string;
}
export interface IXrcApiCommerceCatalogV1FindCategoriesResponse {
    children: IXrcApiCommerceCatalogV1Category[];
    languageCode: string;
    parents: IXrcApiCommerceCatalogV1Category[];
    root: IXrcApiCommerceCatalogV1Category;
}
export interface IXrcApiCommerceCatalogV1Identifiers {
    brand: string;
    groupId: string;
    gtin12: string;
    gtin13: string;
    gtin14: string;
    gtin8: string;
    mpn: string;
}
export interface IXrcApiCommerceCatalogV1ListBrandsResponse {
    brands: IXrcApiCommerceCatalogV1Brand[];
    nextPageToken: string;
    totalSize: number;
}
export interface IXrcApiCommerceCatalogV1ListProductGroupIdentifiersResponse {
    nextPageToken: string;
    productGroupIdentifiers: IXrcApiCommerceCatalogV1ProductGroupIdentifier[];
    totalSize: number;
}
export interface IXrcApiCommerceCatalogV1ListProductGroupsResponse {
    nextPageToken: string;
    productGroups: IXrcApiCommerceCatalogV1ProductGroup[];
    totalSize: number;
}
export interface IXrcApiCommerceCatalogV1ListProductsResponse {
    nextPageToken: string;
    products: IXrcApiCommerceCatalogV1Product[];
    totalSize: number;
}
export interface IXrcApiCommerceCatalogV1MerchantData {
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IGoogleProtobufEmpty;
    wdata: IXrcApiCommerceCatalogV1WriteManySupplyData;
}
export interface IXrcApiCommerceCatalogV1Pricing {
    listPrice: IXrcApiTypeMoney;
    salePrice: IXrcApiTypeMoney;
    salePriceEffectiveEndTime: string;
    salePriceEffectiveStartTime: string;
}
export interface IXrcApiCommerceCatalogV1Product {
    id: string;
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IXrcApiCommerceCatalogV1ReadonlyProductData;
    uri: string;
    wdata: IXrcApiCommerceCatalogV1WriteManyProductData;
    wodata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceCatalogV1ProductGroup {
    id: string;
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IXrcApiCommerceCatalogV1ReadonlyProductGroupData;
    uri: string;
    wdata: IGoogleProtobufEmpty;
    wodata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceCatalogV1ProductGroupIdentifier {
    id: string;
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IGoogleProtobufEmpty;
    uri: string;
    wdata: IGoogleProtobufEmpty;
    wodata: IXrcApiCommerceCatalogV1WriteOnceProductGroupIdentifierData;
}
export interface IXrcApiCommerceCatalogV1ReadonlyBrandData {
    licenseData: IXrcApiCommerceCatalogV1BrandLicenseData[];
}
export interface IXrcApiCommerceCatalogV1ReadonlyProductData {
    merchantData: IXrcApiCommerceCatalogV1MerchantData[];
    retailData: IXrcApiCommerceCatalogV1RetailData[];
    stockData: IXrcApiCommerceCatalogV1StockData[];
    supplyData: IXrcApiCommerceCatalogV1SupplyData[];
}
export interface IXrcApiCommerceCatalogV1ReadonlyProductGroupData {
    products: IXrcApiCommerceCatalogV1Product[];
    stock: number;
}
export interface IXrcApiCommerceCatalogV1ReadonlySupplyData {
    stockData: IXrcApiCommerceCatalogV1StockData[];
    warehouseStockData: IXrcApiCommerceCatalogV1WarehouseStockData[];
}
export interface IXrcApiCommerceCatalogV1Restriction {
    namespaces: string[];
    readyForSale: boolean;
    type: IXrcApiCommerceCatalogV1RestrictionType;
}
export declare enum IXrcApiCommerceCatalogV1RestrictionType {
    RESTRICTION_TYPE_UNSPECIFIED = "RESTRICTION_TYPE_UNSPECIFIED",
    RESTRICTION_TYPE_NONE = "RESTRICTION_TYPE_NONE",
    RESTRICTION_TYPE_WHITELIST = "RESTRICTION_TYPE_WHITELIST",
    RESTRICTION_TYPE_BLACKLIST = "RESTRICTION_TYPE_BLACKLIST",
}
export interface IXrcApiCommerceCatalogV1RetailData {
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IGoogleProtobufEmpty;
    wdata: IXrcApiCommerceCatalogV1WriteManyRetailData;
}
export interface IXrcApiCommerceCatalogV1StockData {
    quantity: number;
    stockStatus: IXrcApiCommerceCatalogV1StockStatus;
}
export declare enum IXrcApiCommerceCatalogV1StockStatus {
    STOCK_STATUS_UNSPECIFIED = "STOCK_STATUS_UNSPECIFIED",
    STOCK_STATUS_GOOD = "STOCK_STATUS_GOOD",
    STOCK_STATUS_DEFECTIVE = "STOCK_STATUS_DEFECTIVE",
    STOCK_STATUS_PHYSICAL_DAMAGE = "STOCK_STATUS_PHYSICAL_DAMAGE",
    STOCK_STATUS_CONTAINER_DAMAGE = "STOCK_STATUS_CONTAINER_DAMAGE",
    STOCK_STATUS_OUTBOUND_RETAIL_USER_RETURN = "STOCK_STATUS_OUTBOUND_RETAIL_USER_RETURN",
    STOCK_STATUS_LOSS = "STOCK_STATUS_LOSS",
    STOCK_STATUS_YH_LOCKED = "STOCK_STATUS_YH_LOCKED",
    STOCK_STATUS_YH_TRANSIT = "STOCK_STATUS_YH_TRANSIT",
}
export interface IXrcApiCommerceCatalogV1SupplyData {
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IXrcApiCommerceCatalogV1ReadonlySupplyData;
    wdata: IXrcApiCommerceCatalogV1WriteManySupplyData;
}
export interface IXrcApiCommerceCatalogV1UpdateBrandRequest {
    id: string;
    namespace: string;
    wdata: IXrcApiCommerceCatalogV1WriteManyBrandData;
}
export interface IXrcApiCommerceCatalogV1UpdateProductRequest {
    id: string;
    namespace: string;
    wdata: IXrcApiCommerceCatalogV1WriteManyProductData;
}
export interface IXrcApiCommerceCatalogV1WarehouseStockData {
    stockData: IXrcApiCommerceCatalogV1StockData[];
    warehouseId: string;
}
export interface IXrcApiCommerceCatalogV1WriteManyBrandData {
    description: IXrcApiTypePolyglotBasicDetails;
    licensingEnabled: boolean;
}
export interface IXrcApiCommerceCatalogV1WriteManyProductData {
    dataAttributes: IXrcApiCommerceCatalogV1DataAttributes;
    description: IXrcApiCommerceCatalogV1Description;
    identifiers: IXrcApiCommerceCatalogV1Identifiers;
    restriction: IXrcApiCommerceCatalogV1Restriction;
}
export interface IXrcApiCommerceCatalogV1WriteManyRetailData {
    attachmentLink: string;
    description: IXrcApiCommerceCatalogV1Description;
    foreignId: string;
    pricing: IXrcApiCommerceCatalogV1Pricing;
    restriction: IXrcApiCommerceCatalogV1Restriction;
    tags: string[];
}
export interface IXrcApiCommerceCatalogV1WriteManySupplyData {
    pricing: IXrcApiCommerceCatalogV1Pricing;
    restriction: IXrcApiCommerceCatalogV1Restriction;
}
export interface IXrcApiCommerceCatalogV1WriteOnceBrandData {
    brandName: string;
}
export interface IXrcApiCommerceCatalogV1WriteOnceProductGroupIdentifierData {
    groupId: string;
}
export interface IXrcApiCommerceFileV1CreateNodeRequest {
    name: string;
    namespace: string;
    wdata: IGoogleProtobufEmpty;
    wodata: IXrcApiCommerceFileV1WriteOnceNodeData;
}
export interface IXrcApiCommerceFileV1ListNodesResponse {
    nextPageToken: string;
    nodes: IXrcApiCommerceFileV1Node[];
    totalSize: number;
}
export interface IXrcApiCommerceFileV1Node {
    id: string;
    metadata: IXrcApiTypeMetadata;
    name: string;
    namespace: string;
    rdata: IXrcApiCommerceFileV1ReadonlyNodeData;
    uri: string;
    wdata: IGoogleProtobufEmpty;
    wodata: IXrcApiCommerceFileV1WriteOnceNodeData;
}
export declare enum IXrcApiCommerceFileV1NodeDriver {
    NODE_DRIVER_UNSPECIFIED = "NODE_DRIVER_UNSPECIFIED",
    NODE_DRIVER_QINGSTOR = "NODE_DRIVER_QINGSTOR",
}
export declare enum IXrcApiCommerceFileV1NodeType {
    NODE_TYPE_UNSPECIFIED = "NODE_TYPE_UNSPECIFIED",
    NODE_TYPE_FILE = "NODE_TYPE_FILE",
}
export interface IXrcApiCommerceFileV1ReadonlyNodeData {
    link: string;
    opaqueData: string;
}
export interface IXrcApiCommerceFileV1WriteOnceNodeData {
    driver: IXrcApiCommerceFileV1NodeDriver;
    mimeType: string;
    path: string;
    type: IXrcApiCommerceFileV1NodeType;
}
export declare enum IXrcApiCommerceFinanceV1BalanceType {
    BALANCE_TYPE_UNSPECIFIED = "BALANCE_TYPE_UNSPECIFIED",
    BALANCE_TYPE_RECEIVABLE = "BALANCE_TYPE_RECEIVABLE",
    BALANCE_TYPE_PAYABLE = "BALANCE_TYPE_PAYABLE",
}
export interface IXrcApiCommerceFinanceV1CreateTransactionRequest {
    name: string;
    namespace: string;
    wdata: IXrcApiCommerceFinanceV1WriteManyTransactionData;
    wodata: IXrcApiCommerceFinanceV1WriteOnceTransactionData;
}
export interface IXrcApiCommerceFinanceV1ListTransactionsResponse {
    nextPageToken: string;
    totalSize: number;
    transactions: IXrcApiCommerceFinanceV1Transaction[];
}
export interface IXrcApiCommerceFinanceV1ReadonlyTransactionData {
    totalAmount: IXrcApiTypeMoney;
}
export interface IXrcApiCommerceFinanceV1Transaction {
    id: string;
    metadata: IXrcApiTypeMetadata;
    name: string;
    namespace: string;
    rdata: IXrcApiCommerceFinanceV1ReadonlyTransactionData;
    uri: string;
    wdata: IXrcApiCommerceFinanceV1WriteManyTransactionData;
    wodata: IXrcApiCommerceFinanceV1WriteOnceTransactionData;
}
export declare enum IXrcApiCommerceFinanceV1TransactionType {
    TRANSACTION_TYPE_UNSPECIFIED = "TRANSACTION_TYPE_UNSPECIFIED",
    TRANSACTION_TYPE_PRODUCT_PURCHASE = "TRANSACTION_TYPE_PRODUCT_PURCHASE",
    TRANSACTION_TYPE_PRODUCT_FULFILLMENT_SERVICE = "TRANSACTION_TYPE_PRODUCT_FULFILLMENT_SERVICE",
    TRANSACTION_TYPE_PRODUCT_ADVERTISEMENT = "TRANSACTION_TYPE_PRODUCT_ADVERTISEMENT",
}
export interface IXrcApiCommerceFinanceV1UpdateTransactionRequest {
    id: string;
    name: string;
    namespace: string;
    wdata: IXrcApiCommerceFinanceV1WriteManyTransactionData;
}
export interface IXrcApiCommerceFinanceV1WriteManyTransactionData {
    description: IXrcApiTypePolyglotBasicDetails;
    discount: IXrcApiTypeMoney;
    price: IXrcApiTypeMoney;
    quantity: number;
    settleTime: string;
}
export interface IXrcApiCommerceFinanceV1WriteOnceTransactionData {
    balanceType: IXrcApiCommerceFinanceV1BalanceType;
    foreignKey: string;
    transactionData: string;
    transactionType: IXrcApiCommerceFinanceV1TransactionType;
}
export interface IXrcApiCommerceMerchantV1CreateMerchantRequest {
    namespace: string;
    wdata: IGoogleProtobufEmpty;
    wodata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceMerchantV1ListMerchantsResponse {
    merchants: IXrcApiCommerceMerchantV1Merchant[];
    nextPageToken: string;
    totalSize: number;
}
export interface IXrcApiCommerceMerchantV1Merchant {
    id: string;
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IGoogleProtobufEmpty;
    uri: string;
    wdata: IGoogleProtobufEmpty;
    wodata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceMerchantV1UpdateMerchantRequest {
    id: string;
    namespace: string;
    wdata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceOrderV1AddItemRequest {
    id: string;
    productId: string;
    references: IXrcApiCommerceOrderV1ReferenceRef[];
    status: IXrcApiCommerceOrderV1ItemStatus;
}
export interface IXrcApiCommerceOrderV1AddReferenceRequest {
    key: string;
    payload: IGoogleProtobufAny;
    status: number;
    type: IXrcApiCommerceOrderV1ReferenceType;
}
export interface IXrcApiCommerceOrderV1CompleteModifyOrderTaskRequest {
    id: string;
    status: IXrcApiTypeStatus;
}
export interface IXrcApiCommerceOrderV1CreateModifyOrderTaskRequest {
    wdata: IGoogleProtobufEmpty;
    wodata: IXrcApiCommerceOrderV1WriteOnceModifyOrderTaskData;
}
export interface IXrcApiCommerceOrderV1CreateOrderRequest {
    wdata: IGoogleProtobufEmpty;
    wodata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceOrderV1Item {
    changes: IXrcApiCommerceOrderV1ItemStatusChange[];
    itemId: string;
    productId: string;
    references: IXrcApiCommerceOrderV1ReferenceRef[];
    status: IXrcApiCommerceOrderV1ItemStatus;
}
export declare enum IXrcApiCommerceOrderV1ItemStatus {
    STATUS_UNSPECIFIED = "STATUS_UNSPECIFIED",
    OUTBOUND_RETAIL_TX_UNLOADED = "OUTBOUND_RETAIL_TX_UNLOADED",
    OUTBOUND_RETAIL_TX_LOADING = "OUTBOUND_RETAIL_TX_LOADING",
    OUTBOUND_RETAIL_TX_LOADED = "OUTBOUND_RETAIL_TX_LOADED",
    OUTBOUND_RETAIL_WAIT_FOR_SHIPMENT = "OUTBOUND_RETAIL_WAIT_FOR_SHIPMENT",
    OUTBOUND_RETAIL_IN_TRANSIT = "OUTBOUND_RETAIL_IN_TRANSIT",
    OUTBOUND_RETAIL_DELIVERED = "OUTBOUND_RETAIL_DELIVERED",
    OUTBOUND_RETAIL_RECEIVED = "OUTBOUND_RETAIL_RECEIVED",
    OUTBOUND_RETAIL_RETURN_REQUEST = "OUTBOUND_RETAIL_RETURN_REQUEST",
    OUTBOUND_RETAIL_RETURN_WAIT_FOR_SHIPMENT = "OUTBOUND_RETAIL_RETURN_WAIT_FOR_SHIPMENT",
    OUTBOUND_RETAIL_RETURN_IN_TRANSIT = "OUTBOUND_RETAIL_RETURN_IN_TRANSIT",
    OUTBOUND_RETAIL_RETURN_DELIVERED = "OUTBOUND_RETAIL_RETURN_DELIVERED",
    OUTBOUND_RETAIL_RETURN_RECEIVED = "OUTBOUND_RETAIL_RETURN_RECEIVED",
    OUTBOUND_RETAIL_RETURN_RECEIVED_TX_SAVING = "OUTBOUND_RETAIL_RETURN_RECEIVED_TX_SAVING",
    OUTBOUND_RETAIL_RETURN_RECEIVED_TX_SAVED = "OUTBOUND_RETAIL_RETURN_RECEIVED_TX_SAVED",
    OUTBOUND_RETAIL_RETURN_DELIVERY_ERROR = "OUTBOUND_RETAIL_RETURN_DELIVERY_ERROR",
    OUTBOUND_RETAIL_DELIVERY_FAILURE = "OUTBOUND_RETAIL_DELIVERY_FAILURE",
    OUTBOUND_RETAIL_DELIVERY_FAILURE_DELIVERED = "OUTBOUND_RETAIL_DELIVERY_FAILURE_DELIVERED",
    OUTBOUND_RETAIL_DELIVERY_FAILURE_RECEIVED = "OUTBOUND_RETAIL_DELIVERY_FAILURE_RECEIVED",
    OUTBOUND_RETAIL_DELIVERY_FAILURE_RECEIVED_TX_SAVING = "OUTBOUND_RETAIL_DELIVERY_FAILURE_RECEIVED_TX_SAVING",
    OUTBOUND_RETAIL_DELIVERY_FAILURE_RECEIVED_TX_SAVED = "OUTBOUND_RETAIL_DELIVERY_FAILURE_RECEIVED_TX_SAVED",
    OUTBOUND_RETAIL_DELIVERY_ERROR = "OUTBOUND_RETAIL_DELIVERY_ERROR",
    OUTBOUND_RETAIL_CANCEL = "OUTBOUND_RETAIL_CANCEL",
    OUTBOUND_RETAIL_CANCEL_TX_SAVING = "OUTBOUND_RETAIL_CANCEL_TX_SAVING",
    OUTBOUND_RETAIL_CANCEL_TX_SAVED = "OUTBOUND_RETAIL_CANCEL_TX_SAVED",
    INBOUND_REQUEST = "INBOUND_REQUEST",
    INBOUND_PENDING = "INBOUND_PENDING",
    INBOUND_WAIT_FOR_SHIPMENT = "INBOUND_WAIT_FOR_SHIPMENT",
    INBOUND_IN_TRANSIT = "INBOUND_IN_TRANSIT",
    INBOUND_DELIVERED = "INBOUND_DELIVERED",
    INBOUND_RECEIVED = "INBOUND_RECEIVED",
    INBOUND_RECEIVED_TX_SAVING = "INBOUND_RECEIVED_TX_SAVING",
    INBOUND_RECEIVED_TX_SAVED = "INBOUND_RECEIVED_TX_SAVED",
    INBOUND_DELIVERY_FAILURE = "INBOUND_DELIVERY_FAILURE",
    INBOUND_DELIVERY_ERROR = "INBOUND_DELIVERY_ERROR",
    INBOUND_CANCEL = "INBOUND_CANCEL",
    WITHDRAW_REQUEST = "WITHDRAW_REQUEST",
    WITHDRAW_TX_UNLOADED = "WITHDRAW_TX_UNLOADED",
    WITHDRAW_TX_LOADING = "WITHDRAW_TX_LOADING",
    WITHDRAW_TX_LOADED = "WITHDRAW_TX_LOADED",
    WITHDRAW_WAIT_FOR_SHIPMENT = "WITHDRAW_WAIT_FOR_SHIPMENT",
    WITHDRAW_IN_TRANSIT = "WITHDRAW_IN_TRANSIT",
    WITHDRAW_DELIVERED = "WITHDRAW_DELIVERED",
    WITHDRAW_RECEIVED = "WITHDRAW_RECEIVED",
    WITHDRAW_DELIVERY_FAILURE = "WITHDRAW_DELIVERY_FAILURE",
    WITHDRAW_DELIVERY_FAILURE_DELIVERED = "WITHDRAW_DELIVERY_FAILURE_DELIVERED",
    WITHDRAW_DELIVERY_ERROR = "WITHDRAW_DELIVERY_ERROR",
    WITHDRAW_CANCEL = "WITHDRAW_CANCEL",
    WITHDRAW_CANCEL_TX_SAVING = "WITHDRAW_CANCEL_TX_SAVING",
    WITHDRAW_CANCEL_TX_SAVED = "WITHDRAW_CANCEL_TX_SAVED",
}
export interface IXrcApiCommerceOrderV1ItemStatusChange {
    message: string;
    newStatus: IXrcApiCommerceOrderV1ItemStatus;
    oldStatus: IXrcApiCommerceOrderV1ItemStatus;
    references: IXrcApiCommerceOrderV1ReferenceRef[];
    time: string;
}
export interface IXrcApiCommerceOrderV1ListModifyOrderTasksResponse {
    modifyOrderTasks: IXrcApiCommerceOrderV1ModifyOrderTask[];
    nextPageToken: string;
    totalSize: number;
}
export interface IXrcApiCommerceOrderV1ListOrdersResponse {
    nextPageToken: string;
    orders: IXrcApiCommerceOrderV1Order[];
    totalSize: number;
}
export interface IXrcApiCommerceOrderV1LoadItemsRequest {
    id: string;
    message: string;
}
export interface IXrcApiCommerceOrderV1ModifyItemRequest {
    change: IXrcApiCommerceOrderV1ItemStatusChange;
    id: string;
}
export interface IXrcApiCommerceOrderV1ModifyOrderRequest {
    addItemRequests: IXrcApiCommerceOrderV1AddItemRequest[];
    addReferenceRequests: IXrcApiCommerceOrderV1AddReferenceRequest[];
    id: string;
    idempotentToken: string;
    modifyItemRequests: IXrcApiCommerceOrderV1ModifyItemRequest[];
    modifyReferenceRequests: IXrcApiCommerceOrderV1ModifyReferenceRequest[];
}
export interface IXrcApiCommerceOrderV1ModifyOrderTask {
    id: string;
    metadata: IXrcApiTypeMetadata;
    rdata: IXrcApiCommerceOrderV1ReadonlyModifyOrderTaskData;
    uri: string;
    wdata: IGoogleProtobufEmpty;
    wodata: IXrcApiCommerceOrderV1WriteOnceModifyOrderTaskData;
}
export interface IXrcApiCommerceOrderV1ModifyReferenceRequest {
    change: IXrcApiCommerceOrderV1ReferenceStatusChange;
    key: string;
    payload: IGoogleProtobufAny;
    type: IXrcApiCommerceOrderV1ReferenceType;
}
export interface IXrcApiCommerceOrderV1Order {
    id: string;
    metadata: IXrcApiTypeMetadata;
    rdata: IXrcApiCommerceOrderV1ReadonlyOrderData;
    uri: string;
    wdata: IGoogleProtobufEmpty;
    wodata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceOrderV1ReadonlyModifyOrderTaskData {
    completeTime: string;
    done: boolean;
    status: IXrcApiTypeStatus;
}
export interface IXrcApiCommerceOrderV1ReadonlyOrderData {
    idempotentTokens: string[];
    items: IXrcApiCommerceOrderV1Item[];
    references: IXrcApiCommerceOrderV1Reference[];
}
export interface IXrcApiCommerceOrderV1Reference {
    changes: IXrcApiCommerceOrderV1ReferenceStatusChange[];
    key: string;
    payload: IGoogleProtobufAny;
    status: number;
    type: IXrcApiCommerceOrderV1ReferenceType;
    updateTime: string;
}
export interface IXrcApiCommerceOrderV1ReferenceRef {
    key: string;
    type: IXrcApiCommerceOrderV1ReferenceType;
}
export interface IXrcApiCommerceOrderV1ReferenceStatusChange {
    message: string;
    newStatus: number;
    oldStatus: number;
    time: string;
}
export declare enum IXrcApiCommerceOrderV1ReferenceType {
    TYPE_UNSPECIFIED = "TYPE_UNSPECIFIED",
    CONSUMER = "CONSUMER",
    RETAILER = "RETAILER",
    MERCHANT = "MERCHANT",
    SUPPLIER = "SUPPLIER",
    WAREHOUSE = "WAREHOUSE",
    REPLACEMENT_BY_ITEM = "REPLACEMENT_BY_ITEM",
    ITEM = "ITEM",
    PRODUCT = "PRODUCT",
    PRODUCT_FOREIGN_ID = "PRODUCT_FOREIGN_ID",
    LOAD_STOCK_STATUS = "LOAD_STOCK_STATUS",
    SAVE_STOCK_STATUS = "SAVE_STOCK_STATUS",
    SERIAL_NUMBER = "SERIAL_NUMBER",
    OUTBOUND_RETAIL_REQUEST = "OUTBOUND_RETAIL_REQUEST",
    OUTBOUND_RETAIL_REQUEST_FORIEGN_ID = "OUTBOUND_RETAIL_REQUEST_FORIEGN_ID",
    OUTBOUND_RETAIL_WAREHOUSE_ORDER = "OUTBOUND_RETAIL_WAREHOUSE_ORDER",
    OUTBOUND_RETAIL_WAREHOUSE_ORDER_ITEM_ID = "OUTBOUND_RETAIL_WAREHOUSE_ORDER_ITEM_ID",
    OUTBOUND_RETAIL_WAREHOUSE_ORDER_ITEM_CONFIRMED = "OUTBOUND_RETAIL_WAREHOUSE_ORDER_ITEM_CONFIRMED",
    OUTBOUND_RETAIL_SHIPMENT = "OUTBOUND_RETAIL_SHIPMENT",
    OUTBOUND_RETAIL_DELIVERY_FAILURE_WAREHOUSE_ORDER = "OUTBOUND_RETAIL_DELIVERY_FAILURE_WAREHOUSE_ORDER",
    OUTBOUND_RETAIL_DELIVERY_FAILURE_WAREHOUSE_ORDER_ITEM_ID = "OUTBOUND_RETAIL_DELIVERY_FAILURE_WAREHOUSE_ORDER_ITEM_ID",
    OUTBOUND_RETAIL_DELIVERY_FAILURE_WAREHOUSE_ORDER_ITEM_CONFIRMED = "OUTBOUND_RETAIL_DELIVERY_FAILURE_WAREHOUSE_ORDER_ITEM_CONFIRMED",
    OUTBOUND_RETAIL_RETURN_REPLACE = "OUTBOUND_RETAIL_RETURN_REPLACE",
    OUTBOUND_RETAIL_RETURN_REPLACE_FORIEGN_ID = "OUTBOUND_RETAIL_RETURN_REPLACE_FORIEGN_ID",
    OUTBOUND_RETAIL_ADD_ITEMS_ORDER = "OUTBOUND_RETAIL_ADD_ITEMS_ORDER",
    OUTBOUND_RETAIL_ADD_ITEMS_ORDER_FORIEGN_ID = "OUTBOUND_RETAIL_ADD_ITEMS_ORDER_FORIEGN_ID",
    OUTBOUND_RETAIL_RETURN_SHIPMENT = "OUTBOUND_RETAIL_RETURN_SHIPMENT",
    INBOUND_REQUEST = "INBOUND_REQUEST",
    INBOUND_REQUEST_FOREIGN_KEY = "INBOUND_REQUEST_FOREIGN_KEY",
    INBOUND_SHIPMENT = "INBOUND_SHIPMENT",
    INBOUND_WAREHOUSE_ORDER = "INBOUND_WAREHOUSE_ORDER",
    INBOUND_WAREHOUSE_ORDER_ITEM_ID = "INBOUND_WAREHOUSE_ORDER_ITEM_ID",
    INBOUND_WAREHOUSE_ORDER_ITEM_CONFIRMED = "INBOUND_WAREHOUSE_ORDER_ITEM_CONFIRMED",
    WITHDRAW_REQUEST = "WITHDRAW_REQUEST",
    WITHDRAW_WAREHOUSE_ORDER = "WITHDRAW_WAREHOUSE_ORDER",
    WITHDRAW_WAREHOUSE_ORDER_ITEM_ID = "WITHDRAW_WAREHOUSE_ORDER_ITEM_ID",
    WITHDRAW_WAREHOUSE_ORDER_ITEM_CONFIRMED = "WITHDRAW_WAREHOUSE_ORDER_ITEM_CONFIRMED",
    WITHDRAW_SHIPMENT = "WITHDRAW_SHIPMENT",
    WITHDRAW_DELIVERY_FAILURE_WAREHOUSE_ORDER = "WITHDRAW_DELIVERY_FAILURE_WAREHOUSE_ORDER",
    WITHDRAW_DELIVERY_FAILURE_WAREHOUSE_ORDER_ITEM_ID = "WITHDRAW_DELIVERY_FAILURE_WAREHOUSE_ORDER_ITEM_ID",
    WITHDRAW_DELIVERY_FAILURE_WAREHOUSE_ORDER_ITEM_CONFIRMED = "WITHDRAW_DELIVERY_FAILURE_WAREHOUSE_ORDER_ITEM_CONFIRMED",
    TX_LOAD_TOKEN = "TX_LOAD_TOKEN",
    TX_SAVE_TOKEN = "TX_SAVE_TOKEN",
    TAG = "TAG",
}
export interface IXrcApiCommerceOrderV1ResetModifyOrderTaskRequest {
    id: string;
}
export interface IXrcApiCommerceOrderV1WriteOnceModifyOrderTaskData {
    loadAfterModify: boolean;
    modifyOrderRequest: IXrcApiCommerceOrderV1ModifyOrderRequest;
    saveAfterModify: boolean;
    scheduleTime: string;
}
export interface IXrcApiCommerceRetailV1AddItemsOrder {
    foreignId: string;
    id: string;
}
export interface IXrcApiCommerceRetailV1CancelOrderRequest {
    all: boolean;
    id: string;
    itemIds: string[];
    message: string;
}
export interface IXrcApiCommerceRetailV1CreateOrderRequest {
    name: string;
    namespace: string;
    wdata: IXrcApiCommerceRetailV1WriteManyOrderData;
    wodata: IXrcApiCommerceRetailV1WriteOnceOrderData;
}
export interface IXrcApiCommerceRetailV1CreateRetailerRequest {
    namespace: string;
    wdata: IXrcApiCommerceRetailV1WriteManyRetailerData;
    wodata: IGoogleProtobufEmpty;
}
export declare enum IXrcApiCommerceRetailV1DeliveryDay {
    DELIVERY_DAY_UNSPECIFIED = "DELIVERY_DAY_UNSPECIFIED",
    HOLIDAY_DELIVERY = "HOLIDAY_DELIVERY",
    WORKDAY_DELIVERY = "WORKDAY_DELIVERY",
}
export declare enum IXrcApiCommerceRetailV1DeliveryService {
    DELIVERY_SERVICE_UNSPECIFIED = "DELIVERY_SERVICE_UNSPECIFIED",
    DELIVERY_SERVICE_STANDARD = "DELIVERY_SERVICE_STANDARD",
    DELIVERY_SERVICE_PRIORITY = "DELIVERY_SERVICE_PRIORITY",
}
export interface IXrcApiCommerceRetailV1ListOrdersResponse {
    nextPageToken: string;
    orders: IXrcApiCommerceRetailV1Order[];
    totalSize: number;
}
export interface IXrcApiCommerceRetailV1ListProductsResponse {
    nextPageToken: string;
    products: IXrcApiCommerceRetailV1Product[];
    totalSize: number;
}
export interface IXrcApiCommerceRetailV1ListRetailersResponse {
    nextPageToken: string;
    retailers: IXrcApiCommerceRetailV1Retailer[];
    totalSize: number;
}
export interface IXrcApiCommerceRetailV1NewAddItemsOrderRequest {
    addItemsOrderForeignId: string;
    id: string;
    idempotentToken: string;
    items: IXrcApiCommerceRetailV1OrderItem[];
    message: string;
}
export interface IXrcApiCommerceRetailV1NewOrderRequest {
    deliveryDay: IXrcApiCommerceRetailV1DeliveryDay;
    deliveryService: IXrcApiCommerceRetailV1DeliveryService;
    foreignId: string;
    idempotentToken: string;
    items: IXrcApiCommerceRetailV1OrderItem[];
    name: string;
    namespace: string;
    recipientContact: IXrcApiTypeContact;
    recipientPostalAddress: IXrcApiTypePostalAddress;
}
export interface IXrcApiCommerceRetailV1Order {
    id: string;
    metadata: IXrcApiTypeMetadata;
    name: string;
    namespace: string;
    rdata: IXrcApiCommerceRetailV1ReadonlyOrderData;
    uri: string;
    wdata: IXrcApiCommerceRetailV1WriteManyOrderData;
    wodata: IXrcApiCommerceRetailV1WriteOnceOrderData;
}
export interface IXrcApiCommerceRetailV1OrderCancelRefundRequest {
    comment: IXrcApiCommerceRetailV1RefundComment;
    id: string;
    refundId: string;
}
export interface IXrcApiCommerceRetailV1OrderIssueRefundRequest {
    comment: IXrcApiCommerceRetailV1RefundComment;
    id: string;
    refundId: string;
    shipmentTrackingData: IXrcApiCommerceTypeLogisticsShipmentTrackingData;
}
export interface IXrcApiCommerceRetailV1OrderItem {
    listPrice: IXrcApiTypeMoney;
    productId: string;
    quantity: number;
    salePrice: IXrcApiTypeMoney;
}
export interface IXrcApiCommerceRetailV1OrderNewRefundRequest {
    comment: IXrcApiCommerceRetailV1RefundComment;
    id: string;
    idempotentToken: string;
    refundForiegnId: string;
    replaceItemIds: string[];
    returnItemIds: string[];
}
export interface IXrcApiCommerceRetailV1OrderShipmentFailedRequest {
    id: string;
    message: string;
    shipmentTrackingData: IXrcApiCommerceTypeLogisticsShipmentTrackingData;
}
export interface IXrcApiCommerceRetailV1Product {
    id: string;
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IXrcApiCommerceRetailV1ReadonlyProductData;
    uri: string;
    wdata: IXrcApiCommerceCatalogV1WriteManyRetailData;
    wodata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceRetailV1ReadonlyOrderData {
    addItemsOrders: IXrcApiCommerceRetailV1ReadonlyOrderDataAddItemsOrder[];
    idempotentTokens: string[];
    items: IXrcApiCommerceRetailV1ReadonlyOrderDataItem[];
    products: IXrcApiCommerceRetailV1Product[];
    refunds: IXrcApiCommerceRetailV1ReadonlyOrderDataRefund[];
    shipments: IXrcApiCommerceRetailV1ReadonlyOrderDataShipment[];
    wmsOrders: IXrcApiCommerceRetailV1ReadonlyOrderDataWMSOrder[];
}
export interface IXrcApiCommerceRetailV1ReadonlyOrderDataAddItemsOrder {
    addItemsOrder: IXrcApiCommerceRetailV1AddItemsOrder;
    itemIds: string[];
}
export interface IXrcApiCommerceRetailV1ReadonlyOrderDataItem {
    id: string;
    productForeignId: string;
    productId: string;
    replacementByItemId: string;
    serialNumber: string;
    status: IXrcApiCommerceOrderV1ItemStatus;
}
export interface IXrcApiCommerceRetailV1ReadonlyOrderDataRefund {
    refund: IXrcApiCommerceRetailV1Refund;
    replaceItemIds: string[];
    returnItemIds: string[];
}
export interface IXrcApiCommerceRetailV1ReadonlyOrderDataShipment {
    itemIds: string[];
    return: boolean;
    trackingData: IXrcIntegrationKuaidi100PushRequest;
    trackingDataInfo: IXrcApiCommerceTypeLogisticsShipmentTrackingData;
    wmsOrderId: string;
}
export interface IXrcApiCommerceRetailV1ReadonlyOrderDataWMSOrder {
    id: string;
    itemIds: string[];
}
export interface IXrcApiCommerceRetailV1ReadonlyProductData {
    cost: IXrcApiTypeMoney;
    dataAttributes: IXrcApiCommerceCatalogV1DataAttributes;
    description: IXrcApiCommerceCatalogV1Description;
    identifiers: IXrcApiCommerceCatalogV1Identifiers;
    stock: number;
}
export interface IXrcApiCommerceRetailV1Refund {
    comments: IXrcApiCommerceRetailV1RefundComment[];
    foriegnId: string;
    id: string;
    status: IXrcApiCommerceRetailV1RefundStatus;
}
export interface IXrcApiCommerceRetailV1RefundComment {
    imageLinks: string[];
    message: string;
    name: string;
    namespace: string;
    time: string;
}
export declare enum IXrcApiCommerceRetailV1RefundStatus {
    STATUS_UNSPECIFIED = "STATUS_UNSPECIFIED",
    CREATED = "CREATED",
    CONFIRMED = "CONFIRMED",
    ISSUED = "ISSUED",
    CANCELLED = "CANCELLED",
    COMPLETED = "COMPLETED",
}
export interface IXrcApiCommerceRetailV1Retailer {
    id: string;
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IGoogleProtobufEmpty;
    uri: string;
    wdata: IXrcApiCommerceRetailV1WriteManyRetailerData;
    wodata: IGoogleProtobufEmpty;
}
export declare enum IXrcApiCommerceRetailV1RetailerStatus {
    STATUS_UNSPECIFIED = "STATUS_UNSPECIFIED",
    DISABLED = "DISABLED",
    ENABLED = "ENABLED",
}
export interface IXrcApiCommerceRetailV1UpdateProductRequest {
    id: string;
    namespace: string;
    wdata: IXrcApiCommerceCatalogV1WriteManyRetailData;
}
export interface IXrcApiCommerceRetailV1UpdateRetailerRequest {
    id: string;
    namespace: string;
    wdata: IXrcApiCommerceRetailV1WriteManyRetailerData;
}
export interface IXrcApiCommerceRetailV1WriteManyOrderData {
    deliveryDay: IXrcApiCommerceRetailV1DeliveryDay;
    deliveryService: IXrcApiCommerceRetailV1DeliveryService;
    foreignId: string;
    recipientContact: IXrcApiTypeContact;
    recipientPostalAddress: IXrcApiTypePostalAddress;
}
export interface IXrcApiCommerceRetailV1WriteManyRetailerData {
    merchantNamespace: string;
    status: IXrcApiCommerceRetailV1RetailerStatus;
}
export interface IXrcApiCommerceRetailV1WriteOnceOrderData {
    idempotentToken: string;
    items: IXrcApiCommerceRetailV1OrderItem[];
}
export interface IXrcApiCommerceSupplyV1ListProductsResponse {
    nextPageToken: string;
    products: IXrcApiCommerceSupplyV1Product[];
    totalSize: number;
}
export interface IXrcApiCommerceSupplyV1ListSuppliersResponse {
    nextPageToken: string;
    suppliers: IXrcApiCommerceMerchantV1Merchant[];
    totalSize: number;
}
export interface IXrcApiCommerceSupplyV1NewInboundOrderRequestItem {
    productId: string;
    quantity: number;
}
export interface IXrcApiCommerceSupplyV1NewWithdrawOrderRequestItem {
    productId: string;
    quantity: number;
    status: IXrcApiCommerceCatalogV1StockStatus;
}
export interface IXrcApiCommerceSupplyV1Product {
    id: string;
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IXrcApiCommerceSupplyV1ReadonlyProductData;
    uri: string;
    wdata: IXrcApiCommerceCatalogV1WriteManySupplyData;
    wodata: IGoogleProtobufEmpty;
}
export interface IXrcApiCommerceSupplyV1ReadonlyProductData {
    dataAttributes: IXrcApiCommerceCatalogV1DataAttributes;
    description: IXrcApiCommerceCatalogV1Description;
    identifiers: IXrcApiCommerceCatalogV1Identifiers;
    stockData: IXrcApiCommerceCatalogV1StockData[];
    warehouseStockData: IXrcApiCommerceCatalogV1WarehouseStockData[];
}
export interface IXrcApiCommerceSupplyV1UpdateProductRequest {
    id: string;
    namespace: string;
    wdata: IXrcApiCommerceCatalogV1WriteManySupplyData;
}
export interface IXrcApiCommerceTypeGoogleMerchantsProductDataAttributes {
    ageGroups: IXrcApiTypeAgeGroup[];
    availabilityDate: string;
    color: string;
    energyEfficiencyClass: IXrcApiTypeEnergyEfficiencyClass;
    gender: IXrcApiTypeGender;
    googleProductCategoryCode: string;
    material: string;
    pattern: string;
    shippingHeight: IXrcApiTypeDimensionValue;
    shippingLabel: IXrcApiCommerceTypeShippingLabel;
    shippingLength: IXrcApiTypeDimensionValue;
    shippingWeight: IXrcApiTypeDimensionValue;
    shippingWidth: IXrcApiTypeDimensionValue;
    size: string;
    sizeSystem: IXrcApiCommerceTypeSizeSystem;
    sizeType: IXrcApiCommerceTypeSizeType;
    unitPricingBaseMeasure: IXrcApiTypeDimensionValue;
    unitPricingMeasure: IXrcApiTypeDimensionValue;
}
export declare enum IXrcApiCommerceTypeLogisticsCarrier {
    CODE_UNSPECIFIED = "CODE_UNSPECIFIED",
    OTHERS = "OTHERS",
    YOU_ZHENG_GUO_NEI = "YOU_ZHENG_GUO_NEI",
    YOU_ZHENG_GUO_JI = "YOU_ZHENG_GUO_JI",
    EMS = "EMS",
    EMS_GUO_JI = "EMS_GUO_JI",
    EMS_INT_EN = "EMS_INT_EN",
    BJ_EMS_TCKJ = "BJ_EMS_TCKJ",
    SHUN_FENG = "SHUN_FENG",
    SHEN_TONG = "SHEN_TONG",
    YUAN_TONG = "YUAN_TONG",
    ZHONG_TONG = "ZHONG_TONG",
    HUI_TONG_KUAI_DI = "HUI_TONG_KUAI_DI",
    YUN_DA = "YUN_DA",
    ZHAI_JI_SONG = "ZHAI_JI_SONG",
    TIAN_TIAN = "TIAN_TIAN",
    DE_BANG_WU_LIU = "DE_BANG_WU_LIU",
    GUO_TONG_KUAI_DI = "GUO_TONG_KUAI_DI",
    ZENG_YI_SU_DI = "ZENG_YI_SU_DI",
    SU_ER = "SU_ER",
    ZHONG_TIE_WU_LIU = "ZHONG_TIE_WU_LIU",
    ZTKY = "ZTKY",
    GAN_ZHONG_NENG_DA = "GAN_ZHONG_NENG_DA",
    YOU_SHU_WU_LIU = "YOU_SHU_WU_LIU",
    QUAN_FENG_KUAI_DI = "QUAN_FENG_KUAI_DI",
    JD = "JD",
    FEDEX = "FEDEX",
    FEDEX_US = "FEDEX_US",
    DHL_EN = "DHL_EN",
    DHL = "DHL",
    DHL_DE = "DHL_DE",
    TNT_EN = "TNT_EN",
    TNT = "TNT",
    UPS_EN = "UPS_EN",
    UPS = "UPS",
    USPS = "USPS",
    DPD = "DPD",
    DPD_GERMANY = "DPD_GERMANY",
    DPD_POLAND = "DPD_POLAND",
    DPD_UK = "DPD_UK",
    GLS = "GLS",
    DPEX_EN = "DPEX_EN",
    TOLL_PRIORITY = "TOLL_PRIORITY",
    ARAMEX = "ARAMEX",
    DPEX = "DPEX",
    ZHAI_JI_BIAN = "ZHAI_JI_BIAN",
    YAMATO = "YAMATO",
    HK_POST = "HK_POST",
    PARCEL_FORCE = "PARCEL_FORCE",
    ROYAL_MAIL = "ROYAL_MAIL",
    AUS_POST = "AUS_POST",
    CAN_POST = "CAN_POST",
    YI_TONG_FEI_HONG = "YI_TONG_FEI_HONG",
    RU_FENG_DA = "RU_FENG_DA",
    HAI_HONG_WANG_SONG = "HAI_HONG_WANG_SONG",
    TONG_HE_TIAN_XIA = "TONG_HE_TIAN_XIA",
    ZHENG_ZHOU_JIAN_HUA = "ZHENG_ZHOU_JIAN_HUA",
    SX_HONG_MA_JIA = "SX_HONG_MA_JIA",
    ZHI_MA_KAI_MEN = "ZHI_MA_KAI_MEN",
    LE_JIE_DI = "LE_JIE_DI",
    LI_JI_SONG = "LI_JI_SONG",
    YIN_JIE_SU_DI = "YIN_JIE_SU_DI",
    MEN_DUI_MEN = "MEN_DUI_MEN",
    HE_BEI_JIAN_HUA = "HE_BEI_JIAN_HUA",
    WEI_TE_PAI = "WEI_TE_PAI",
    FENG_XING_TIAN_XIA = "FENG_XING_TIAN_XIA",
    SHANG_CHENG = "SHANG_CHENG",
    NEW_EGG_OZZO = "NEW_EGG_OZZO",
    XIN_HONG_YU_KUAI_DI = "XIN_HONG_YU_KUAI_DI",
    QUAN_YI_KUAI_DI = "QUAN_YI_KUAI_DI",
    BIAO_JI_KUAI_DI = "BIAO_JI_KUAI_DI",
    XING_CHENG_JI_BIAN = "XING_CHENG_JI_BIAN",
    YA_FENG_SU_DI = "YA_FENG_SU_DI",
    YUAN_WEI_FENG = "YUAN_WEI_FENG",
    QUAN_RI_TONG_KUAI_DI = "QUAN_RI_TONG_KUAI_DI",
    AN_XIN_DA_KUAI_DI = "AN_XIN_DA_KUAI_DI",
    MING_HANG_KUAI_DI = "MING_HANG_KUAI_DI",
    FENG_HUANG_KUAI_DI = "FENG_HUANG_KUAI_DI",
    JING_GUANG_SU_DI_KUAI_JIAN = "JING_GUANG_SU_DI_KUAI_JIAN",
    PEI_SI_HUO_YUN_KUAI_DI = "PEI_SI_HUO_YUN_KUAI_DI",
    AAE = "AAE",
    DA_TIAN_WU_LIU = "DA_TIAN_WU_LIU",
    XIN_BANG_WU_LIU = "XIN_BANG_WU_LIU",
    LONG_BAN_WU_LIU = "LONG_BAN_WU_LIU",
    YI_BANG_WU_LIU = "YI_BANG_WU_LIU",
    LIAN_HAO_WU_LIU = "LIAN_HAO_WU_LIU",
    GUANG_DONG_YOU_ZHENG_WU_LIU = "GUANG_DONG_YOU_ZHENG_WU_LIU",
    ZHONG_YOU_WU_LIU = "ZHONG_YOU_WU_LIU",
    TIAN_DI_HUA_YU = "TIAN_DI_HUA_YU",
    SHENG_HUI_WU_LIU = "SHENG_HUI_WU_LIU",
    CHANG_YU_WU_LIU = "CHANG_YU_WU_LIU",
    FEI_KANG_DA = "FEI_KANG_DA",
    YUAN_ZHI_JIE_CHENG = "YUAN_ZHI_JIE_CHENG",
    WAN_JIA_WU_LIU = "WAN_JIA_WU_LIU",
    YUAN_CHENG_WU_LIU = "YUAN_CHENG_WU_LIU",
    XIN_FENG_WU_LIU = "XIN_FENG_WU_LIU",
    WEN_JIE_SU_DI = "WEN_JIE_SU_DI",
    QUAN_CHEN_KUAI_DI = "QUAN_CHEN_KUAI_DI",
    JIA_YI_WU_LIU = "JIA_YI_WU_LIU",
    KUAI_JIE_SU_DI = "KUAI_JIE_SU_DI",
    D_SU_KUAI_DI = "D_SU_KUAI_DI",
    QUAN_JI_TONG = "QUAN_JI_TONG",
    AN_JIE_KUAI_DI = "AN_JIE_KUAI_DI",
    YUE_FENG_WU_LIU = "YUE_FENG_WU_LIU",
    JI_XIAN_DA = "JI_XIAN_DA",
    BAI_FU_DONG_FANG = "BAI_FU_DONG_FANG",
    BHT = "BHT",
    WU_YUAN_SU_DI = "WU_YUAN_SU_DI",
    LAN_BIAO_KUAI_DI = "LAN_BIAO_KUAI_DI",
    COE = "COE",
    NAN_JING = "NAN_JING",
    HENG_LU_WU_LIU = "HENG_LU_WU_LIU",
    JIN_DA_WU_LIU = "JIN_DA_WU_LIU",
    HUA_XIA_LONG_WU_LIU = "HUA_XIA_LONG_WU_LIU",
    YUN_TONG_KUAI_DI = "YUN_TONG_KUAI_DI",
    JIA_JI_WU_LIU = "JIA_JI_WU_LIU",
    SHENG_FENG_WU_LIU = "SHENG_FENG_WU_LIU",
    YUAN_AN_DA = "YUAN_AN_DA",
    JIA_YUN_MEI_WU_LIU = "JIA_YUN_MEI_WU_LIU",
    WAN_XIANG_WU_LIU = "WAN_XIANG_WU_LIU",
    HONG_PIN_WU_LIU = "HONG_PIN_WU_LIU",
    SHANG_DA = "SHANG_DA",
    YUAN_FEI_HANG_WU_LIU = "YUAN_FEI_HANG_WU_LIU",
    HAI_WAI_HUAN_QIU = "HAI_WAI_HUAN_QIU",
    SAN_TAI_SU_DI = "SAN_TAI_SU_DI",
    JIN_YUE_KUAI_DI = "JIN_YUE_KUAI_DI",
    LIAN_BANG_KUAI_DI = "LIAN_BANG_KUAI_DI",
    FEI_KUAI_DA = "FEI_KUAI_DA",
    ZHONG_XIN_DA = "ZHONG_XIN_DA",
    GONG_SU_DA = "GONG_SU_DA",
    JIA_LI_DA_TONG = "JIA_LI_DA_TONG",
    OCS = "OCS",
    MEI_GUO_KUAI_DI = "MEI_GUO_KUAI_DI",
    DI_SI_FANG = "DI_SI_FANG",
    KANG_LI_WU_LIU = "KANG_LI_WU_LIU",
    KUA_YUE = "KUA_YUE",
    HAI_MENG_SU_DI = "HAI_MENG_SU_DI",
    SHENG_AN_WU_LIU = "SHENG_AN_WU_LIU",
    ZHONG_SU_KUAI_DI = "ZHONG_SU_KUAI_DI",
    ON_TRAC = "ON_TRAC",
    SEVEN_DAYS = "SEVEN_DAYS",
    MING_LIANG_WU_LIU = "MING_LIANG_WU_LIU",
    HUA_QI_KUAI_YUN = "HUA_QI_KUAI_YUN",
    CITY_100 = "CITY_100",
    SUI_JIA_WU_LIU = "SUI_JIA_WU_LIU",
    FEI_BAO_KUAI_DI = "FEI_BAO_KUAI_DI",
    CHUAN_XI_WU_LIU = "CHUAN_XI_WU_LIU",
    JIE_TE_KUAI_DI = "JIE_TE_KUAI_DI",
    LONG_LANG_KUAI_DI = "LONG_LANG_KUAI_DI",
    EMS_EN = "EMS_EN",
    ZHONG_TIAN_WAN_YUN = "ZHONG_TIAN_WAN_YUN",
    BANG_SONG_WU_LIU = "BANG_SONG_WU_LIU",
    SHUN_FENG_EN = "SHUN_FENG_EN",
    HUI_QIANG_KUAI_DI = "HUI_QIANG_KUAI_DI",
    XI_YOU_TE_KUAI_DI = "XI_YOU_TE_KUAI_DI",
    HAO_SHENG_WU_LIU = "HAO_SHENG_WU_LIU",
    YI_LING_SU_YUN = "YI_LING_SU_YUN",
    DA_YANG_WU_LIU = "DA_YANG_WU_LIU",
    DI_DA_SU_YUN = "DI_DA_SU_YUN",
    YI_TONG_DA = "YI_TONG_DA",
    YOU_BI_JIA = "YOU_BI_JIA",
    YI_SHUN_HANG = "YI_SHUN_HANG",
    FEI_HU_KUAI_DI = "FEI_HU_KUAI_DI",
    XIAO_XIANG_CHEN_BAO = "XIAO_XIANG_CHEN_BAO",
    BA_LUN_ZHI = "BA_LUN_ZHI",
    MIN_SHENG_KUAI_DI = "MIN_SHENG_KUAI_DI",
    SY_JIA_HUI_ER = "SY_JIA_HUI_ER",
    MING_BANG_SU_DI = "MING_BANG_SU_DI",
    SHANG_HAI_KUAI_TONG = "SHANG_HAI_KUAI_TONG",
    XIAO_HONG_MAO = "XIAO_HONG_MAO",
    GSM = "GSM",
    AN_NENG_WU_LIU = "AN_NENG_WU_LIU",
    KCS = "KCS",
    CITY_LINK = "CITY_LINK",
    DIAN_TONG_KUAI_DI = "DIAN_TONG_KUAI_DI",
    FAN_YU_KUAI_DI = "FAN_YU_KUAI_DI",
    PING_AN_DA_TENG_FEI = "PING_AN_DA_TENG_FEI",
    GUANG_DONG_TONG_LU = "GUANG_DONG_TONG_LU",
    ZHONG_RUI_SU_DI = "ZHONG_RUI_SU_DI",
    KUAI_DA_WU_LIU = "KUAI_DA_WU_LIU",
    ADP = "ADP",
    FARDARWW = "FARDARWW",
    FAN_DA_GUO_JI = "FAN_DA_GUO_JI",
    SH_LIN_DAO = "SH_LIN_DAO",
    SINO_EX = "SINO_EX",
    ZHONG_WAI_YUN = "ZHONG_WAI_YUN",
    DE_CHUANG_WU_LIU = "DE_CHUANG_WU_LIU",
    LD_XPRES = "LD_XPRES",
    RUI_DIAN_YOU_ZHENG = "RUI_DIAN_YOU_ZHENG",
    POSTEN_AB = "POSTEN_AB",
    NUO_YA_AO = "NUO_YA_AO",
    XIANG_LONG_YUN_TONG = "XIANG_LONG_YUN_TONG",
    PIN_SU_XIN_DA = "PIN_SU_XIN_DA",
    YU_XIN_WU_LIU = "YU_XIN_WU_LIU",
    PEI_XING_WU_LIU = "PEI_XING_WU_LIU",
    HU_TONG_WU_LIU = "HU_TONG_WU_LIU",
    XI_AN_CHENG_LIAN_SU_DI = "XI_AN_CHENG_LIAN_SU_DI",
    YU_JIA_WU_LIU = "YU_JIA_WU_LIU",
    YI_QI_GUO_JI_WU_LIU = "YI_QI_GUO_JI_WU_LIU",
    FEDEX_CN = "FEDEX_CN",
    LIAN_BANG_KUAI_DI_EN = "LIAN_BANG_KUAI_DI_EN",
    ZHONG_TONG_PHONE = "ZHONG_TONG_PHONE",
    SAI_AO_DI_MMB = "SAI_AO_DI_MMB",
    SHANG_HAI_WU_JIANG_MMB = "SHANG_HAI_WU_JIANG_MMB",
    SING_POST = "SING_POST",
    YIN_SU = "YIN_SU",
    NDWL = "NDWL",
    SU_CHENG = "SU_CHENG",
    CHUANG_YI = "CHUANG_YI",
    DIAN_YI = "DIAN_YI",
    CQ_XING_CHENG = "CQ_XING_CHENG",
    SC_XING_CHENG = "SC_XING_CHENG",
    GZ_XING_CHENG = "GZ_XING_CHENG",
    GATI_EN = "GATI_EN",
    GATI_CN = "GATI_CN",
    JCEX = "JCEX",
    PE_EX = "PE_EX",
    KX_DA = "KX_DA",
    ADVANCING = "ADVANCING",
    HUI_WEN = "HUI_WEN",
    YX_EXPRESS = "YX_EXPRESS",
    DONG_HONG = "DONG_HONG",
    FEI_YUAN_VIP_SHOP = "FEI_YUAN_VIP_SHOP",
    HLY_EX = "HLY_EX",
    KUAI_YOU_DA = "KUAI_YOU_DA",
    RI_YU_WU_LIU = "RI_YU_WU_LIU",
    SU_TONG_WU_LIU = "SU_TONG_WU_LIU",
    NAN_JING_SHENG_BANG = "NAN_JING_SHENG_BANG",
    AN_POST_EN = "AN_POST_EN",
    JAPAN_POST_EN = "JAPAN_POST_EN",
    POST_DANMARK_EN = "POST_DANMARK_EN",
    BRAZIL_PSOT_EN = "BRAZIL_PSOT_EN",
    EMS_UKRAINE_EN = "EMS_UKRAINE_EN",
    EMS_UKRAINE = "EMS_UKRAINE",
    UKR_POST_EN = "UKR_POST_EN",
    UKR_POST = "UKR_POST",
    HAI_HONG_MMB = "HAI_HONG_MMB",
    FED_EX_UK = "FED_EX_UK",
    FED_EX_UK_CN = "FED_EX_UK_CN",
    DING_DONG = "DING_DONG",
    UPS_FREIGHT = "UPS_FREIGHT",
    ABF = "ABF",
    PUROLATOR = "PUROLATOR",
    B_POST = "B_POST",
    B_POST_INTER = "B_POST_INTER",
    LASER_SHIP = "LASER_SHIP",
    YODEL = "YODEL",
    DHL_NETHERLANDS = "DHL_NETHERLANDS",
    MY_HERMES = "MY_HERMES",
    FAST_WAY = "FAST_WAY",
    CHRONO_POST_FRA = "CHRONO_POST_FRA",
    SELEKVRACHT = "SELEKVRACHT",
    LAN_HU_KUAI_DI = "LAN_HU_KUAI_DI",
    BELGIUM_POST = "BELGIUM_POST",
    UPS_MAIL_INNO = "UPS_MAIL_INNO",
    POSTEN_NORGE = "POSTEN_NORGE",
    SWISS_POST_EN = "SWISS_POST_EN",
    SWISS_POST = "SWISS_POST",
    ROYAL_MAIL_CN = "ROYAL_MAIL_CN",
    DHL_BENELUX = "DHL_BENELUX",
    NOVA_POSHTA = "NOVA_POSHTA",
    DHL_POLAND = "DHL_POLAND",
    ESTES = "ESTES",
    TNT_UK = "TNT_UK",
    DELTEC = "DELTEC",
    OPEK = "OPEK",
    ITALY_SDA = "ITALY_SDA",
    MRW = "MRW",
    CHRONOPOST_PORT = "CHRONOPOST_PORT",
    CORREOS_DE_ES = "CORREOS_DE_ES",
    DIRECT_LINK = "DIRECT_LINK",
    ELTA_HELL = "ELTA_HELL",
    CESKA_POSTA = "CESKA_POSTA",
    SIODEMKA = "SIODEMKA",
    SEUR = "SEUR",
    JIU_YI_CN = "JIU_YI_CN",
    HRVATSKA = "HRVATSKA",
    BULGARIAN = "BULGARIAN",
    PORTUGAL_SEUR = "PORTUGAL_SEUR",
    EC_FIRSTCLASS = "EC_FIRSTCLASS",
    DTDC_INDIA = "DTDC_INDIA",
    SAFE_EXPRESS = "SAFE_EXPRESS",
    KOREA_POST = "KOREA_POST",
    TNT_AU = "TNT_AU",
    THAILAND = "THAILAND",
    SKYNET_MALAYSIA = "SKYNET_MALAYSIA",
    MALAYSIA_POST = "MALAYSIA_POST",
    MALAYSIA_EMS = "MALAYSIA_EMS",
    SAUDI_POST = "SAUDI_POST",
    SOUTH_AFRICAN = "SOUTH_AFRICAN",
    OCA_ARGEN = "OCA_ARGEN",
    NIGERIAN_POST = "NIGERIAN_POST",
    CHILE = "CHILE",
    ISREAL_POST = "ISREAL_POST",
    ESTAFETA = "ESTAFETA",
    GDKD = "GDKD",
    MEXICO = "MEXICO",
    ROMANIAN = "ROMANIAN",
    TNT_ITALY = "TNT_ITALY",
    MULTIPACK = "MULTIPACK",
    PORTUGAL_CTT = "PORTUGAL_CTT",
    INTER_LINK = "INTER_LINK",
    HZPL = "HZPL",
    GATI_KWE = "GATI_KWE",
    RED_EXPRESS = "RED_EXPRESS",
    MEXICO_DENDA = "MEXICO_DENDA",
    TCI_XPS = "TCI_XPS",
    HRE = "HRE",
    SPEED_POST = "SPEED_POST",
    ASENDIA_USA = "ASENDIA_USA",
    CHRONO_POST_FREN = "CHRONO_POST_FREN",
    ITALIANE = "ITALIANE",
    GDA = "GDA",
    CHU_KOU_1 = "CHU_KOU_1",
    HUANG_MA_JIA = "HUANG_MA_JIA",
    ANL_EXPRESS = "ANL_EXPRESS",
    SHIP_GCE = "SHIP_GCE",
    XLOBO = "XLOBO",
    EMIRATES = "EMIRATES",
    NSF = "NSF",
    PAKISTAN = "PAKISTAN",
    SHI_YUN_KUAI_DI = "SHI_YUN_KUAI_DI",
    UCS = "UCS",
    AFGHAN = "AFGHAN",
    BEL_POST = "BEL_POST",
    QUAN_T_WL = "QUAN_T_WL",
    EFS = "EFS",
    TNT_POST_CN = "TNT_POST_CN",
    GML = "GML",
    G_TONG_SU_DI = "G_TONG_SU_DI",
    DONG_HAN_WL = "DONG_HAN_WL",
    RPX = "RPX",
    RRS = "RRS",
    H_TONG_EXPRESS = "H_TONG_EXPRESS",
    KYRGYZ_POST = "KYRGYZ_POST",
    LATVIA = "LATVIA",
    LIBAN_POST = "LIBAN_POST",
    LITHUANIA = "LITHUANIA",
    MALDIVES = "MALDIVES",
    MALTA = "MALTA",
    MACEDONIA = "MACEDONIA",
    NEW_ZEALAND = "NEW_ZEALAND",
    MOLDOVA = "MOLDOVA",
    BANGLADESH = "BANGLADESH",
    SERBIA = "SERBIA",
    CYPRUS_POST = "CYPRUS_POST",
    TUNISIA = "TUNISIA",
    UZBEKISTAN = "UZBEKISTAN",
    CALEDONIA = "CALEDONIA",
    REPUBLIC = "REPUBLIC",
    HAY_POST = "HAY_POST",
    YE_MEN = "YE_MEN",
    INDIA = "INDIA",
    ENGLAND = "ENGLAND",
    JORDAN = "JORDAN",
    VIETNAM = "VIETNAM",
    MONTENEGRO = "MONTENEGRO",
    CORREOS = "CORREOS",
    XI_LAI_KD = "XI_LAI_KD",
    GREENLAND = "GREENLAND",
    PHL_POST = "PHL_POST",
    ECUADOR = "ECUADOR",
    ICELAND = "ICELAND",
    EMONITORING = "EMONITORING",
    ALBANIA = "ALBANIA",
    ARUBA = "ARUBA",
    EGYPT = "EGYPT",
    OMNIVA = "OMNIVA",
    LEOPARD = "LEOPARD",
    SINO_AIR_INEX = "SINO_AIR_INEX",
    HYK = "HYK",
    CKEEX = "CKEEX",
    HUNGARY = "HUNGARY",
    MACAO = "MACAO",
    POST_SERV = "POST_SERV",
    KUAI_TAO = "KUAI_TAO",
    PERU = "PERU",
    INDONESIA = "INDONESIA",
    KAZ_POST = "KAZ_POST",
    LBBK = "LBBK",
    BQC_WL = "BQC_WL",
    PFC_EXPRESS = "PFC_EXPRESS",
    CSUIVI = "CSUIVI",
    AUSTRIA = "AUSTRIA",
    UKRAINE = "UKRAINE",
    UGANDA = "UGANDA",
    AZER_BAIJAN = "AZER_BAIJAN",
    FINLAND = "FINLAND",
    SLOVAK = "SLOVAK",
    ETHIOPIA = "ETHIOPIA",
    LUXEMBOURG = "LUXEMBOURG",
    MAURITIUS = "MAURITIUS",
    BRUNEI = "BRUNEI",
    QUANTIUM = "QUANTIUM",
    TANZANIA = "TANZANIA",
    OMAN = "OMAN",
    GIBRALTAR = "GIBRALTAR",
    BYHT = "BYHT",
    VN_POST = "VN_POST",
    ANXL = "ANXL",
    DF_POST = "DF_POST",
    HUO_BAN = "HUO_BAN",
    TIAN_ZONG = "TIAN_ZONG",
    BO_HEI = "BO_HEI",
    BOLIVIA = "BOLIVIA",
    CAMBODIA = "CAMBODIA",
    BAHRAIN = "BAHRAIN",
    NAMIBIA = "NAMIBIA",
    RWANDA = "RWANDA",
    LESOTHO = "LESOTHO",
    KENYA = "KENYA",
    CAMEROON = "CAMEROON",
    BELIZE = "BELIZE",
    PARAGUAY = "PARAGUAY",
    SFIFT = "SFIFT",
    HNFY = "HNFY",
    IPARCEL = "IPARCEL",
    BJ_XSRD = "BJ_XSRD",
    MAI_LI_KUAI_DI = "MAI_LI_KUAI_DI",
    RFSD = "RFSD",
    LETSEML = "LETSEML",
    CNP_EX = "CNP_EX",
    XSRD = "XSRD",
    CHINA_TZX = "CHINA_TZX",
    QB_EXPRESS = "QB_EXPRESS",
    I_DA_DA = "I_DA_DA",
    SKYNET = "SKYNET",
    NEDAHM = "NEDAHM",
    CZWL_YN = "CZWL_YN",
    WAN_BO_EX = "WAN_BO_EX",
    NN_TENGDA = "NN_TENGDA",
    SU_JIE_VIP = "SU_JIE_VIP",
    GOTO_UBI = "GOTO_UBI",
    ECMS_GLOBAL = "ECMS_GLOBAL",
    FAST_GO = "FAST_GO",
    ECMSCN = "ECMSCN",
    E_SHUN_DA = "E_SHUN_DA",
    SU_TENG = "SU_TENG",
    GDXP = "GDXP",
    YUN_DA_EX_US = "YUN_DA_EX_US",
    SZ_DPEX = "SZ_DPEX",
    BAI_SHI_WU_LIU = "BAI_SHI_WU_LIU",
    POSTNL_PACLE = "POSTNL_PACLE",
    LT_EXP = "LT_EXP",
    Z_TONG = "Z_TONG",
    XTB = "XTB",
    AIRPAK = "AIRPAK",
    POSTNL_CHINA = "POSTNL_CHINA",
    COLISSIMO = "COLISSIMO",
    PCA_EXPRESS = "PCA_EXPRESS",
    HAN_RUN = "HAN_RUN",
    COSCO = "COSCO",
    SUNDA_REXPRESS = "SUNDA_REXPRESS",
    AJ_EXPRESS = "AJ_EXPRESS",
    ARK_EXPRESS = "ARK_EXPRESS",
    ADA_EXPRESS = "ADA_EXPRESS",
    CHANG_JIANG = "CHANG_JIANG",
    B_DA_TONG = "B_DA_TONG",
    STO_EXPRESS = "STO_EXPRESS",
    EPAN_EX = "EPAN_EX",
    SHUN_JIE_FENG_DA = "SHUN_JIE_FENG_DA",
    NM_HUA_HE = "NM_HUA_HE",
    DEUTSCHE_POST = "DEUTSCHE_POST",
    BAI_TENG_WU_LIU = "BAI_TENG_WU_LIU",
    PJ_BEST = "PJ_BEST",
    QUAN_SU_TONG = "QUAN_SU_TONG",
    ZHONG_JI_WU_LIU = "ZHONG_JI_WU_LIU",
    JIU_YE_SCM = "JIU_YE_SCM",
    TYKD = "TYKD",
    DABEI = "DABEI",
    CHENG_JI = "CHENG_JI",
    CHENG_GUANG_KUAI_DI = "CHENG_GUANG_KUAI_DI",
    SAGAWA = "SAGAWA",
    LAN_TIAN_KUAI_DI = "LAN_TIAN_KUAI_DI",
    YONG_CHANG_WU_LIU = "YONG_CHANG_WU_LIU",
    BIRD_EX = "BIRD_EX",
    YI_ZHENG_DA_SU_YUN = "YI_ZHENG_DA_SU_YUN",
    SD_YOU_PEI = "SD_YOU_PEI",
    TRAKPAK = "TRAKPAK",
    GTS = "GTS",
    AOL_AU = "AOL_AU",
    YI_EX = "YI_EX",
    TONG_DA_XING = "TONG_DA_XING",
    HK_POSTEN = "HK_POSTEN",
    FLYSMAN = "FLYSMAN",
    ZHUAN_YUN_SI_FANG = "ZHUAN_YUN_SI_FANG",
    I_LOGEN = "I_LOGEN",
    DONG_JUN = "DONG_JUN",
    JAPAN_POST = "JAPAN_POST",
    JIA_JIA_TONG_56 = "JIA_JIA_TONG_56",
    JRYP_EX = "JRYP_EX",
    XA_ETC = "XA_ETC",
    DOOR_TO_DOOR = "DOOR_TO_DOOR",
    XIN_TIAN_JIE = "XIN_TIAN_JIE",
    SD138 = "SD138",
    HJS = "HJS",
    QUAN_XIN_TONG = "QUAN_XIN_TONG",
    AM_US_ORDER = "AM_US_ORDER",
    JUN_FENG_GUO_JI = "JUN_FENG_GUO_JI",
    KING_FREIGHT = "KING_FREIGHT",
    SU_BI_DA = "SU_BI_DA",
    SUCMJ = "SUCMJ",
    YA_MA_XUN_WU_LIU = "YA_MA_XUN_WU_LIU",
    JIN_CHENG_WU_LIU = "JIN_CHENG_WU_LIU",
    JGWL = "JGWL",
    YU_FENG = "YU_FENG",
    ZHI_CHENG_TONG_DA = "ZHI_CHENG_TONG_DA",
    RYTSD = "RYTSD",
    HANG_YU = "HANG_YU",
    PZHJST = "PZHJST",
    YOU_SU_TONG_DA = "YOU_SU_TONG_DA",
    QIN_YUAN = "QIN_YUAN",
    AU_EXPRESS = "AU_EXPRESS",
    ZHDWL = "ZHDWL",
    FBKD = "FBKD",
    HUA_DA = "HUA_DA",
    FOX = "FOX",
    HUAN_QIU = "HUAN_QIU",
    HUI_LIAN = "HUI_LIAN",
    A2U = "A2U",
    UEQ = "UEQ",
    SCIC = "SCIC",
    YI_DA_TONG = "YI_DA_TONG",
    RUEXP = "RUEXP",
    HTWD = "HTWD",
    SPEEDO_EX = "SPEEDO_EX",
    LIAN_YUN = "LIAN_YUN",
    JIE_AN_DA = "JIE_AN_DA",
    SHL_EXP = "SHL_EXP",
    EWE = "EWE",
    ABC_GLOBAL = "ABC_GLOBAL",
    MANG_GUO = "MANG_GUO",
    GOLD_HAI_TAO = "GOLD_HAI_TAO",
    JI_GUANG = "JI_GUANG",
    FTD = "FTD",
    DCS = "DCS",
    CHENG_DA = "CHENG_DA",
    ZHONG_HUAN = "ZHONG_HUAN",
    SHUN_BANG = "SHUN_BANG",
    QI_CHEN = "QI_CHEN",
    AU_EX = "AU_EX",
    AO_SU = "AO_SU",
    AUS = "AUS",
    TIAN_MA = "TIAN_MA",
    MJE_XP = "MJE_XP",
    CHUN_FAI = "CHUN_FAI",
    ZEN_ZEN = "ZEN_ZEN",
    MXE56 = "MXE56",
    HIPITO = "HIPITO",
    PENG_CHENG = "PENG_CHENG",
    GUAN_TING = "GUAN_TING",
    JIN_AN = "JIN_AN",
    HAI_DAI_BAO = "HAI_DAI_BAO",
    CLL_EXPRESS = "CLL_EXPRESS",
    BAN_MA = "BAN_MA",
    YOU_JIA = "YOU_JIA",
    BUY_TONG = "BUY_TONG",
    XING_YUAN_KUAI_DI = "XING_YUAN_KUAI_DI",
    QUAN_SU = "QUAN_SU",
    SUNJ_EX = "SUNJ_EX",
    LU_TONG = "LU_TONG",
    XY_NYC = "XY_NYC",
    XIAO_C_EX = "XIAO_C_EX",
    AIR_GTC = "AIR_GTC",
    DIN_DON = "DIN_DON",
    HQTD = "HQTD",
    HAO_YOU_KUAI = "HAO_YOU_KUAI",
    YONG_WANG_DA = "YONG_WANG_DA",
    MC_HY = "MC_HY",
    FLY_WAY = "FLY_WAY",
    QZX56 = "QZX56",
    BSHT = "BSHT",
    ILYANG = "ILYANG",
    XIAN_FENG = "XIAN_FENG",
    TIMEDG = "TIMEDG",
    MEI_QUICK = "MEI_QUICK",
    TNY = "TNY",
    VALUE_WAY = "VALUE_WAY",
    SUN_SPEEDY = "SUN_SPEEDY",
    BPH_CHINA = "BPH_CHINA",
    YING_CHAO = "YING_CHAO",
    CORREO_ARGENTINO = "CORREO_ARGENTINO",
    VANUATU = "VANUATU",
    BARBADOS = "BARBADOS",
    SAMOA = "SAMOA",
    FIJI = "FIJI",
    ED_LOGISTICS = "ED_LOGISTICS",
    E_SINOTRANS = "E_SINOTRANS",
    KUA_CHANG_WU_LIU = "KUA_CHANG_WU_LIU",
    CN_AU_SU = "CN_AU_SU",
    GS_LHKD = "GS_LHKD",
    CCD = "CCD",
    BEN_TENG = "BEN_TENG",
    MAPLE_EXPRESS = "MAPLE_EXPRESS",
    TOP_SPEED_EX = "TOP_SPEED_EX",
    YJX_LM = "YJX_LM",
    OTOBV = "OTOBV",
    JMJ_SS = "JMJ_SS",
    ONE_H_CANG = "ONE_H_CANG",
    HF_WU_XI = "HF_WU_XI",
    WTD_CHINA = "WTD_CHINA",
    SHUN_JIE_DA = "SHUN_JIE_DA",
    QSKD_YXGS = "QSKD_YXGS",
    TLKY = "TLKY",
    CLOUD_EXPRESS = "CLOUD_EXPRESS",
    SPEEDA = "SPEEDA",
    ZHONG_TONG_GUO_JI = "ZHONG_TONG_GUO_JI",
    XI_POST = "XI_POST",
    NLE = "NLE",
    NLEBV = "NLEBV",
    STKD = "STKD",
    SINATONE = "SINATONE",
    AUOD = "AUOD",
    AHDF = "AHDF",
    W_ZHAUN_YUN = "W_ZHAUN_YUN",
    LNTJS = "LNTJS",
    I_EXPRESS = "I_EXPRESS",
    BCWELT = "BCWELT",
    EUASIA = "EUASIA",
    YCGKY = "YCGKY",
    LEDII = "LEDII",
    GSWTKD = "GSWTKD",
    ZYZOOM = "ZYZOOM",
    GLOBAL_TRACK_TRACE = "GLOBAL_TRACK_TRACE",
    SEND_TO_CHINA = "SEND_TO_CHINA",
    EX_FRESH = "EX_FRESH",
    EMS_LU_QU = "EMS_LU_QU",
    SCCOD = "SCCOD",
    RUN_HENG_FENG = "RUN_HENG_FENG",
    HK_EMS = "HK_EMS",
    SKY_POST = "SKY_POST",
    RUIDA_EX = "RUIDA_EX",
    DE_CN_LH = "DE_CN_LH",
    SU_NING = "SU_NING",
    NZ_ZTO = "NZ_ZTO",
    LMF_EX = "LMF_EX",
    LINE_ONE = "LINE_ONE",
    SI_HAI_ET = "SI_HAI_ET",
    WO_TU = "WO_TU",
    DE_KUN_CN = "DE_KUN_CN",
    ZSKY_123 = "ZSKY_123",
    HONG_JIE = "HONG_JIE",
    HONG_XUN = "HONG_XUN",
    AH_KBPS = "AH_KBPS",
    LUN_DAO = "LUN_DAO",
    HTTX_56 = "HTTX_56",
    VIP_EXPRESS = "VIP_EXPRESS",
    Q_EXPRESS = "Q_EXPRESS",
    YYQC_56 = "YYQC_56",
    FAR_LOGISTIS = "FAR_LOGISTIS",
    DA_SU = "DA_SU",
    LQHT = "LQHT",
    YPSD = "YPSD",
    SDTO = "SDTO",
    SU_PIN_EXPRESS = "SU_PIN_EXPRESS",
    TURTLE = "TURTLE",
    KOREA_POSTCN = "KOREA_POSTCN",
    YUN_FENG_56 = "YUN_FENG_56",
    GZ_CUSTOMS = "GZ_CUSTOMS",
    HZ_CUSTOMS = "HZ_CUSTOMS",
    NJ_CUSTOMS = "NJ_CUSTOMS",
    BJ_CUSTOMS = "BJ_CUSTOMS",
    MEI_XI = "MEI_XI",
    ZG_YZT = "ZG_YZT",
    EL_56 = "EL_56",
    IYOUNG_SPEED = "IYOUNG_SPEED",
    I_BEN_BEN = "I_BEN_BEN",
    WAN_DOU_GONG_ZHU = "WAN_DOU_GONG_ZHU",
    KOREA_POST_KR = "KOREA_POST_KR",
    CRAZY_EXPRESS = "CRAZY_EXPRESS",
    POCHTA = "POCHTA",
    YD_GLOBE = "YD_GLOBE",
    MACRO_EXPRESS_CO = "MACRO_EXPRESS_CO",
    GSCQ_365 = "GSCQ_365",
    ALOG = "ALOG",
    EU_EXPRESS = "EU_EXPRESS",
    EU_PACKAGE = "EU_PACKAGE",
    WTD_EX = "WTD_EX",
    CHS_ZHONG_HUAN_GUO_JI = "CHS_ZHONG_HUAN_GUO_JI",
    HAND_BOY = "HAND_BOY",
    MILKY_WAY = "MILKY_WAY",
    NEDERLAND_POST = "NEDERLAND_POST",
    EMMS = "EMMS",
    HUAN_DONG_LG = "HUAN_DONG_LG",
    XD_EXPRESS = "XD_EXPRESS",
    WONDERSYD = "WONDERSYD",
    CUCKOO_EXPESS = "CUCKOO_EXPESS",
    VAN_GEN_EXPRESS = "VAN_GEN_EXPRESS",
    FED_ROAD = "FED_ROAD",
    LANDMARK_GLOBAL = "LANDMARK_GLOBAL",
    HIGO = "HIGO",
    PENG_YUAN_EXPRESS = "PENG_YUAN_EXPRESS",
    AN_JIE_88 = "AN_JIE_88",
    JD_EXPRESS_USA = "JD_EXPRESS_USA",
    HYYT_ES = "HYYT_ES",
    KAO_LA_EXPRESS = "KAO_LA_EXPRESS",
    BLUE_DART = "BLUE_DART",
    CNC_EXP = "CNC_EXP",
    RRS_KX = "RRS_KX",
    YUNDX = "YUNDX",
    YANG_BAO_GUO = "YANG_BAO_GUO",
    U_LUCK_EX = "U_LUCK_EX",
    DE_HAO_YI = "DE_HAO_YI",
    BOSIND = "BOSIND",
    JIA_CHENG = "JIA_CHENG",
    NUO_ER = "NUO_ER",
    JYM_56 = "JYM_56",
    CSXSS = "CSXSS",
    ZYTD_SCM = "ZYTD_SCM",
    XIANG_TENG = "XIANG_TENG",
    HENG_RU_I56 = "HENG_RU_I56",
    BGKY_100 = "BGKY_100",
    CNWS = "CNWS",
    HANG_RUI = "HANG_RUI",
    NE_BU_EX = "NE_BU_EX",
    GJWL = "GJWL",
    CBO_56 = "CBO_56",
    WEST_WING = "WEST_WING",
    UBON_EX = "UBON_EX",
    STAKY = "STAKY",
    CNMCPL = "CNMCPL",
    LITTLE_BEARBEAR = "LITTLE_BEARBEAR",
    YUE_777 = "YUE_777",
    FS_EXP = "FS_EXP",
    FTL_EXPRESS = "FTL_EXPRESS",
    GHL = "GHL",
    LASY_56 = "LASY_56",
    BEN_NIAO = "BEN_NIAO",
    HN_SSD_56 = "HN_SSD_56",
    WJK_WL = "WJK_WL",
    HRB_ZYKD = "HRB_ZYKD",
    SFJ_HD = "SFJ_HD",
    SUPERB = "SUPERB",
    NELL = "NELL",
    GAO_TIE_EX = "GAO_TIE_EX",
    YW_EXPRESS = "YW_EXPRESS",
    KRTAO = "KRTAO",
    SO_FAST_56 = "SO_FAST_56",
    ZTE_EXPRESS = "ZTE_EXPRESS",
    LTX = "LTX",
    WU_LIU_KY = "WU_LIU_KY",
    E_ZHUAN_YUAN = "E_ZHUAN_YUAN",
    ADLER_LOGI = "ADLER_LOGI",
    GDRZ_58 = "GDRZ_58",
    JS_EXPRESS = "JS_EXPRESS",
    HREX = "HREX",
    HAPPY_LINK = "HAPPY_LINK",
    HN_QST = "HN_QST",
    XD_SHIPPING = "XD_SHIPPING",
    YUN_EXPRESS = "YUN_EXPRESS",
    HD = "HD",
    K_SU_DI = "K_SU_DI",
    YI_QI_SONG = "YI_QI_SONG",
    POLARIS_EXPRESS = "POLARIS_EXPRESS",
    MAI_LONG_DY = "MAI_LONG_DY",
    NAL_EXPRESS = "NAL_EXPRESS",
    LS_EXPRESS = "LS_EXPRESS",
    ARIESFAR = "ARIESFAR",
    A_DO_DO_XM = "A_DO_DO_XM",
    CNUP = "CNUP",
    UEX = "UEX",
    HERMES = "HERMES",
    POST_ELBE = "POST_ELBE",
    VPS = "VPS",
    ZSMH_WL = "ZSMH_WL",
    SZUEM = "SZUEM",
    QD_ANTS = "QD_ANTS",
    E_DRAGON = "E_DRAGON",
    YONG_BANG_WU_LIU = "YONG_BANG_WU_LIU",
    WY_KJT = "WY_KJT",
    S2C = "S2C",
    HI_TAO_E = "HI_TAO_E",
    SUPEROZ = "SUPEROZ",
    KERRY_TJ = "KERRY_TJ",
    HUAN_QIU_ABC = "HUAN_QIU_ABC",
    CLSP = "CLSP",
    CHINA_SQK = "CHINA_SQK",
    NEWS_WAY = "NEWS_WAY",
    YYOX = "YYOX",
    HH_AIR_56 = "HH_AIR_56",
    SHUN_SHI_D = "SHUN_SHI_D",
    DJY_56 = "DJY_56",
    ZHUO_SHI_KUAI_YUN = "ZHUO_SHI_KUAI_YUN",
    JI_XIANG_YOU_AU = "JI_XIANG_YOU_AU",
    BLUE_SKY_EXPRESS = "BLUE_SKY_EXPRESS",
    CN_AIR = "CN_AIR",
    GUO_ER_YUE = "GUO_ER_YUE",
    YI_OU_ZHOU = "YI_OU_ZHOU",
    SHI_NING_EXPRESS = "SHI_NING_EXPRESS",
    BEI_JING_FENG_YUE = "BEI_JING_FENG_YUE",
    CPS_AIR = "CPS_AIR",
    ZQL_WL = "ZQL_WL",
    YI_HANG_MALL = "YI_HANG_MALL",
    CEX = "CEX",
    QIAN_LI = "QIAN_LI",
    JDP_PLUS = "JDP_PLUS",
    JJX_888 = "JJX_888",
    Y_KOU_AN = "Y_KOU_AN",
    KOALA_EXP = "KOALA_EXP",
    SUR_PASS_GO = "SUR_PASS_GO",
    YOU_ZHENG_BK = "YOU_ZHENG_BK",
    YTKY_168 = "YTKY_168",
    YOU_YOU = "YOU_YOU",
    QUAN_CHUAN_56 = "QUAN_CHUAN_56",
    CARGOLUX = "CARGOLUX",
    SYN_SHIP = "SYN_SHIP",
    CANG_SPEED = "CANG_SPEED",
    DI5PLL = "DI5PLL",
    CHINA_ICIP = "CHINA_ICIP",
    SHAN_DIAN_TU = "SHAN_DIAN_TU",
    XIN_NING = "XIN_NING",
    SPRING_56 = "SPRING_56",
    SDSY_888 = "SDSY_888",
    LI_SHI = "LI_SHI",
}
export interface IXrcApiCommerceTypeLogisticsShipmentTrackingData {
    carrier: IXrcApiCommerceTypeLogisticsCarrier;
    trackingNumber: string;
}
export declare enum IXrcApiCommerceTypeShippingLabel {
    SHIPPING_LABEL_UNSPECIFIED = "SHIPPING_LABEL_UNSPECIFIED",
    SHIPPING_LABEL_STANDARD = "SHIPPING_LABEL_STANDARD",
    SHIPPING_LABEL_OVERSIZED = "SHIPPING_LABEL_OVERSIZED",
    SHIPPING_LABEL_PERISHABLE = "SHIPPING_LABEL_PERISHABLE",
}
export declare enum IXrcApiCommerceTypeSizeSystem {
    SIZE_SYSTEM_UNSPECIFIED = "SIZE_SYSTEM_UNSPECIFIED",
    SIZE_SYSTEM_AU = "SIZE_SYSTEM_AU",
    SIZE_SYSTEM_BR = "SIZE_SYSTEM_BR",
    SIZE_SYSTEM_CN = "SIZE_SYSTEM_CN",
    SIZE_SYSTEM_DE = "SIZE_SYSTEM_DE",
    SIZE_SYSTEM_EU = "SIZE_SYSTEM_EU",
    SIZE_SYSTEM_FR = "SIZE_SYSTEM_FR",
    SIZE_SYSTEM_IT = "SIZE_SYSTEM_IT",
    SIZE_SYSTEM_JP = "SIZE_SYSTEM_JP",
    SIZE_SYSTEM_MEX = "SIZE_SYSTEM_MEX",
    SIZE_SYSTEM_UK = "SIZE_SYSTEM_UK",
    SIZE_SYSTEM_US = "SIZE_SYSTEM_US",
}
export declare enum IXrcApiCommerceTypeSizeType {
    SIZE_TYPE_UNSPECIFIED = "SIZE_TYPE_UNSPECIFIED",
    SIZE_TYPE_REGULAR = "SIZE_TYPE_REGULAR",
    SIZE_TYPE_PETITE = "SIZE_TYPE_PETITE",
    SIZE_TYPE_PLUS = "SIZE_TYPE_PLUS",
    SIZE_TYPE_BIG_AND_TALL = "SIZE_TYPE_BIG_AND_TALL",
    SIZE_TYPE_MATERNITY = "SIZE_TYPE_MATERNITY",
}
export interface IXrcApiCommerceWarehouseV1CreateWarehouseRequest {
    namespace: string;
    wdata: IXrcApiCommerceWarehouseV1WriteManyWarehouseData;
    wodata: IXrcApiCommerceWarehouseV1WriteOnceWarehouseData;
}
export interface IXrcApiCommerceWarehouseV1ListWarehousesResponse {
    nextPageToken: string;
    totalSize: number;
    warehouses: IXrcApiCommerceWarehouseV1Warehouse[];
}
export interface IXrcApiCommerceWarehouseV1UpdateWarehouseRequest {
    id: string;
    namespace: string;
    wdata: IXrcApiCommerceWarehouseV1WriteManyWarehouseData;
}
export interface IXrcApiCommerceWarehouseV1Warehouse {
    id: string;
    metadata: IXrcApiTypeMetadata;
    namespace: string;
    rdata: IGoogleProtobufEmpty;
    uri: string;
    wdata: IXrcApiCommerceWarehouseV1WriteManyWarehouseData;
    wodata: IXrcApiCommerceWarehouseV1WriteOnceWarehouseData;
}
export declare enum IXrcApiCommerceWarehouseV1WarehouseDriver {
    WAREHOUSE_DRIVER_UNSPECIFIED = "WAREHOUSE_DRIVER_UNSPECIFIED",
    WAREHOUSE_DRIVER_YUEHAI = "WAREHOUSE_DRIVER_YUEHAI",
}
export interface IXrcApiCommerceWarehouseV1WriteManyWarehouseData {
    yuehai: IXrcIntegrationYuehaiV1Warehouse;
}
export interface IXrcApiCommerceWarehouseV1WriteOnceWarehouseData {
    code: string;
    driver: IXrcApiCommerceWarehouseV1WarehouseDriver;
}
export declare enum IXrcApiTypeAgeGroup {
    AGE_GROUP_UNSPECIFIED = "AGE_GROUP_UNSPECIFIED",
    AGE_GROUP_NEWBORN = "AGE_GROUP_NEWBORN",
    AGE_GROUP_INFANT = "AGE_GROUP_INFANT",
    AGE_GROUP_TODDLER = "AGE_GROUP_TODDLER",
    AGE_GROUP_KIDS = "AGE_GROUP_KIDS",
    AGE_GROUP_TEEN = "AGE_GROUP_TEEN",
    AGE_GROUP_ADULT = "AGE_GROUP_ADULT",
}
export interface IXrcApiTypeBasicDetails {
    additionalImageLinks: string[];
    contact: IXrcApiTypeContact;
    description: string;
    displayName: string;
    imageLink: string;
    languageCode: string;
    link: string;
    regionCode: string;
    timeZone: string;
    title: string;
}
export interface IXrcApiTypeContact {
    avatarLink: string;
    billingAddress: string;
    emailAddress: string;
    firstName: string;
    fullName: string;
    gender: IXrcApiTypeGender;
    languageCode: string;
    lastName: string;
    link: string;
    organization: string;
    phoneNumber: string;
}
export interface IXrcApiTypeDimensionValue {
    unit: IXrcApiTypeUnit;
    value: number;
}
export declare enum IXrcApiTypeEnergyEfficiencyClass {
    ENERGY_EFFICIENCY_CLASS_UNSPECIFIED = "ENERGY_EFFICIENCY_CLASS_UNSPECIFIED",
    ENERGY_EFFICIENCY_CLASS_APPP = "ENERGY_EFFICIENCY_CLASS_APPP",
    ENERGY_EFFICIENCY_CLASS_APP = "ENERGY_EFFICIENCY_CLASS_APP",
    ENERGY_EFFICIENCY_CLASS_AP = "ENERGY_EFFICIENCY_CLASS_AP",
    ENERGY_EFFICIENCY_CLASS_A = "ENERGY_EFFICIENCY_CLASS_A",
    ENERGY_EFFICIENCY_CLASS_B = "ENERGY_EFFICIENCY_CLASS_B",
    ENERGY_EFFICIENCY_CLASS_C = "ENERGY_EFFICIENCY_CLASS_C",
    ENERGY_EFFICIENCY_CLASS_D = "ENERGY_EFFICIENCY_CLASS_D",
    ENERGY_EFFICIENCY_CLASS_E = "ENERGY_EFFICIENCY_CLASS_E",
    ENERGY_EFFICIENCY_CLASS_F = "ENERGY_EFFICIENCY_CLASS_F",
    ENERGY_EFFICIENCY_CLASS_G = "ENERGY_EFFICIENCY_CLASS_G",
}
export declare enum IXrcApiTypeGender {
    GENDER_UNSPECIFIED = "GENDER_UNSPECIFIED",
    GENDER_UNISEX = "GENDER_UNISEX",
    GENDER_MALE = "GENDER_MALE",
    GENDER_FEMALE = "GENDER_FEMALE",
}
export interface IXrcApiTypeMetadata {
    createTime: string;
    deleteTime: string;
    deleted: boolean;
    updateTime: string;
}
export interface IXrcApiTypeMoney {
    currencyCode: string;
    nanos: number;
    units: string;
}
export interface IXrcApiTypePolyglotBasicDetails {
    list: IXrcApiTypeBasicDetails[];
}
export interface IXrcApiTypePostalAddress {
    addressLines: string[];
    administrativeArea: string;
    languageCode: string;
    locality: string;
    organization: string;
    postalCode: string;
    recipients: string[];
    regionCode: string;
    sortingCode: string;
    sublocality: string;
}
export interface IXrcApiTypeStatus {
    code: number;
    details: IGoogleProtobufAny[];
    message: string;
}
export declare enum IXrcApiTypeUnit {
    UNIT_UNSPECIFIED = "UNIT_UNSPECIFIED",
    UNIT_LENGTH_CM = "UNIT_LENGTH_CM",
    UNIT_LENGTH_INCH = "UNIT_LENGTH_INCH",
    UNIT_WEIGHT_KG = "UNIT_WEIGHT_KG",
    UNIT_WEIGHT_LB = "UNIT_WEIGHT_LB",
    UNIT_WEIGHT_G = "UNIT_WEIGHT_G",
    UNIT_VOLUMN_GAL = "UNIT_VOLUMN_GAL",
    UNIT_VOLUMN_L = "UNIT_VOLUMN_L",
    UNIT_AREA_SQM = "UNIT_AREA_SQM",
    UNIT_AREA_SQFT = "UNIT_AREA_SQFT",
    UNIT_CT = "UNIT_CT",
}
export interface IXrcIntegrationKuaidi100PushRequest {
    autoCheck: string;
    billstatus: string;
    comNew: string;
    comOld: string;
    lastResult: IXrcIntegrationKuaidi100PushRequestLastResult;
    message: string;
    status: string;
}
export interface IXrcIntegrationKuaidi100PushRequestLastResult {
    com: string;
    condition: string;
    data: IXrcIntegrationKuaidi100PushRequestLastResultData[];
    ischeck: string;
    message: string;
    nu: string;
    state: string;
    status: string;
}
export interface IXrcIntegrationKuaidi100PushRequestLastResultData {
    areaCode: string;
    areaName: string;
    context: string;
    ftime: string;
    status: string;
    time: string;
}
export interface IXrcIntegrationYuehaiV1Warehouse {
    endpoint: string;
    receiverAddress: IXrcApiTypePostalAddress;
    receiverContact: IXrcApiTypeContact;
    secret: string;
    senderAddress: IXrcApiTypePostalAddress;
    senderContact: IXrcApiTypeContact;
    storeCode: string;
}
