import AccountSystemService from './gen/AccountSystemService';
import CatalogSystemService from './gen/CatalogSystemService';
import FileSystemService from './gen/FileSystemService';
import FinanceSystemService from './gen/FinanceSystemService';
import MerchantSystemService from './gen/MerchantSystemService';
import OrderSystemService from './gen/OrderSystemService';
import RetailSystemService from './gen/RetailSystemService';
import SupplySystemService from './gen/SupplySystemService';
import WarehouseSystemService from './gen/WarehouseSystemService';
import { ISDKConfig } from './config';
import { IRequest } from './request';
export { AccountSystemService, FileSystemService, RetailSystemService, CatalogSystemService, FinanceSystemService, WarehouseSystemService, MerchantSystemService, SupplySystemService, OrderSystemService };
export declare class SDK {
    config: ISDKConfig;
    request: IRequest;
    accountSystemService: AccountSystemService;
    fileSystemService: FileSystemService;
    retailSystemService: RetailSystemService;
    catalogSystemService: CatalogSystemService;
    financeSystemService: FinanceSystemService;
    warehouseSystemService: WarehouseSystemService;
    merchantSystemService: MerchantSystemService;
    supplySystemService: SupplySystemService;
    orderSystemService: OrderSystemService;
    constructor(config?: ISDKConfig, request?: IRequest);
    setAccessToken(token: string): SDK;
    removeAccessToken(): this;
    setAPIToken(token: string): this;
    removeAPIToken(): this;
    setEndpoint(url: string): this;
    setCurrency(currency: string): this;
    setLanguage(language: string): this;
    setTimeout(timeout: number): this;
}
export declare const gateway: SDK;
